// XML Note Tools
// Jeffrey J Weimer
// SVN History: $Revision: 765 $ on $Date: 2008-05-19 09:12:59 -0500 (Mon, 19 May 2008) $

// This contains the inaccessible functions for XMLNoteTools

#pragma rtGlobals=1
#pragma IgorVersion=6.03
#pragma version = 0.70
#pragma IndependentModule = XMLNoteToolsModule

// String Constants for Template and Pragma

StrConstant xmlnt_ts="@"
StrConstant xmlnt_ps="#"

// Procedure String Constants
// define the default file folder and its name

Static StrConstant kProcFileFolder="XMLNoteTools"
Static StrConstant kProcFileName="XMLNoteToolsModule.ipf"

// TEST MODE (comment out for actual use)
//#define TESTME

// TOP LEVEL FUNCTIONS

// Wave Note

Function WaveNote(twave,property,text,replace,pretty,at,attributes,values)
	wave twave
	string property, text, attributes, values, at
	variable pretty, replace

	string theText="", theNote=""

	switch(replace)
		case 0:
			theText = parseinput(property,text,pretty,attributes, values)
			break
		default:
			theNote = note(twave)
			theText = ReplaceProperty(property,theNote,text,index=replace)
			note/k twave
			at = "end"	
			break
	endswitch
	strswitch(at)
		case "start":
			sprintf theText, "%s\r%s", theText, note(twave)
			note/k twave
			break
		default:
			break
	endswitch
	note twave, theText
	return 0
end

// Note Text

Function NoteText(ntbk,property,text,replace,pretty,at,attributes,values)
	string ntbk, property, text, attributes, values, at
	variable pretty, replace

	string theText
	
	variable sPg,sPs,ePg,ePs, tN, nLines
	
	Notebook $ntbk, findText={"",1}
	GetSelection notebook, $ntbk,1
	sPg = V_startParagraph
	sPs = V_startPos
	ePg = V_endParagraph
	ePs = V_endPos
	Notebook $ntbk, selection={endofFile,endofFile}
	GetSelection notebook, $ntbk, 1
	nLines = V_startParagraph	
	Notebook $ntbk, selection={(sPg,sPs),(ePg,ePs)}
	
	switch(replace)
		case 0:
			theText = parseinput(property,text,pretty,attributes,values)
			strswitch(at)
				case "current":
					break
				case "next":
					Notebook $ntbk, selection={(sPg+1,0),(sPg+1,0)}
					break
				case "previous":
					Notebook $ntbk, selection={(sPg-1,0),(sPg-1,0)}
					break
				case "start":
					Notebook $ntbk, selection={startOfFile,startOfFile}
					break
				case "end":
					Notebook $ntbk, selection={endOfFile,endOfFile}
					break
				default:
					tN = str2num(at)
					if ((sPg+tN)<0)
						tN = -sPg
					endif
					if ((sPg+tN)>nLines)
						tN = nLines - sPg
					endif
					Notebook $ntbk, selection={(sPg+tN,0),(sPg+tN,0)}
					break
			endswitch
			if (strlen(theText)==0)
				break
			endif
			sprintf theText, "%s\r", theText
			notebook $ntbk text=theText
			break
		default:
			ReplaceNtbkProperty(property,ntbk,text,index=replace)
			Notebook $ntbk selection={(sPg,sPs),(ePg,ePs)}
			break
	endswitch
	return 0
end

// Note Object

Function NoteObject(ntbk,property,obj,replace,pretty,at,oSpecs,attributes,values)
	string ntbk, property, obj, oSpecs, attributes, values, at
	variable pretty, replace

	string theInText, oT
	variable nt, ic
	
//	if (ParamIsDefault(replace))
		replace = 0
//	endif
	
	nt = ItemsInList(property,":")
	
	theInText = "XMLNoteTools#InsertObject(\"" + ntbk + "\",\"" + obj + "\",\"" + oSpecs +"\")"
	
	switch(replace)
		case 0:
			if (pretty)
				sprintf oT, "\r%s%s%s\r", xmlnt_ts, "OBJECT", xmlnt_ts
				for (ic=0;ic<nt-1;ic+=1)
					oT += "\t"
				endfor
			else
				sprintf oT, "%s%s%s", xmlnt_ts, "OBJECT", xmlnt_ts
			endif
			notetext(ntbk,property,oT,replace, pretty, at, attributes, values)
			break
		default:
			ReplaceNtbkProperty(property,ntbk,theInText,index=replace)
			break
	endswitch
	
	sprintf oT, "%s%s%s", xmlnt_ts, "OBJECT", xmlnt_ts
	Notebook $ntbk findText={"",1}
	GetSelection notebook, $ntbk, 1
	Notebook $ntbk findText={oT,2^4}
	Execute/Q theInText
	Notebook $ntbk selection={(V_startParagraph,V_startPos),(V_endParagraph,V_endPos)}
	
	return 0
end

// Fill Template

Static Function/S FillTemplate(template,paramlist)
	string template, paramlist
	
	string rtStr, cdf = GetDataFolder(1), theText
	variable ic=0, nt
	
	theText = "root:Packages:XMLNoteTools:Templates:" + template
	
	if (exists(theText)==0)
		LoadTemplate(template)
	endif
	
	SVAR tstr = $theText

	SetDataFolder root:
	
	rtStr = tstr
	
	nt = ItemsInList(paramlist)
	do
		theText=StringFromList(ic,paramlist)
		if (strlen(theText)==0)
			break
		endif
		theText = parseXMLvalue(theText)
		rtStr = ReplaceString(xmlnt_ts,rtStr,theText,0,1)
		ic += 1
	while(ic<nt)
	SetDataFolder $cdf
	return rtStr
end

// Fill Template

Static Function LoadTemplate(template,[filename])
	string template, filename
	
	string cdf = GetDataFolder(1), theText
	variable refNum
	
	SetDataFolder root:
	
	if (!DataFolderExists("Packages:XMLNoteTools"))
		NewDataFolder/O/S Packages
		NewDataFolder/O/S XMLNoteTools
	else
		SetDataFolder root:Packages:XMLNoteTools
	endif

	NewDataFolder/O/S :Templates
	
	if (ParamIsDefault(filename))
		theText="Select an XML file for template " + template
		open/D/R/T=".xml"/M=theText refNum
		if (strlen(S_filename)==0)
			close refNum
			SetDataFolder $cdf
			return -1
		endif
		filename = S_filename
	endif
	
	open/R refNum as filename
	
	string/G $template=""
	
	SVAR tstr = $template
	FSetPos refNum, 0
	do
		FReadLine refNum, theText
		if (strlen(theText)==0)
			break
		endif
		tstr += theText
	while(1)
	close refNum
	SetDataFolder $cdf
	return 0
end

// Replace an XML Property

Static Function/S ReplaceProperty(theproperty,theText,theReplace,[start, index])
	string theproperty, theText, theReplace
	variable start, index
	
	variable ic, st, en, jc
	string theStr, rtnStr, reStr, thePStr
	
	if (!ParamIsDefault(index))
		if (abs(index)>ItemsInXML(theproperty,theText))
			return theText
		endif
		if (index>0)
			if (ParamIsDefault(start))
				st = 0
			else
				st = start
			endif
			en = st
			for (ic=0;ic<index;ic+=1)
				en = GetOffset(theproperty,theText,start=en)+1
				if (en < 0)
					return theText
				endif
			endfor
			st = en
		else
			if (ParamIsDefault(start))
				st = INF
			else
				st = start
			endif
			en = st
			thePStr = StringFromList(0,theproperty,":")
			for (ic=0;ic>index;ic-=1)
				en = GetOffset(theproperty,theText,start=en,option=1)-1
				if (en < 0)
					return theText
				endif
				en = GetOffset(thePStr,theText,start=en,option=1)-1
			endfor
			en = GetOffset(theproperty,theText,start=en+1)+1
			st = en
		endif
	else
		st = GetOffset(theproperty,theText,start=st)
	endif
	
	jc = ItemsInList(theproperty,":") - 1
	st = strsearch(theText,">",st)+1
	sprintf thePStr, "</%s>", StringFromList(jc,theproperty,":")
	en = strsearch(theText,thePStr,st)
	sprintf theStr, "%s%s",theText[st,en-1], thePStr
	sprintf reStr, "%s%s", parseXMLvalue(theReplace), thePStr
	rtnStr = ReplaceString(theStr,theText,reStr,0,1)
	return rtnStr
end

// Replace an XML Notebook Property

Static Function ReplaceNtbkProperty(theproperty,theNtbk,theReplace, [index])
	string theproperty, theNtbk, theReplace
	variable index
	
	variable ic, en
	string thePStr
	
	if (!ParamIsDefault(index))
		if (index>0)
			Notebook $theNtbk, selection={startOfFile,startOfFile}
			for (ic=0;ic<index;ic+=1)
				en = SetNtbkOffset(theproperty,theNtbk)
				if (en < 0)
					return -1
				endif
			endfor
		else
			Notebook $theNtbk, selection={endOfFile,endOfFile}
			thePStr = StringFromList(0,theproperty,":")
			for (ic=0;ic>index;ic-=1)
				en = SetNtbkOffset(thePStr,theNtbk,flag=4)
				GetSelection notebook, $theNtbk, 1
				Notebook $theNtbk, selection={(V_startParagraph,0),(V_startParagraph,0)}
				if (en < 0)
					return 0
				endif
			endfor
			thePStr=StringFromList(ItemsInList(theproperty,":")-1,theproperty,":")
			en = SetNtbkOffset(thePStr,theNtbk)
		endif
	else
		Notebook $theNtbk, selection={startOfFile,startOfFile}
		en = SetNtbkOffset(theproperty,theNtbk)
	endif
	Notebook $theNtbk, text=parsexmlvalue(theReplace)
end

// Insert an Object into an XML Formatted Notebook Line

Static Function/S InsertObject(ntbk, obj, oSpecs)
	string ntbk, obj, oSpecs
	
	string theCmd = "Notebook " + ntbk
	string mode, flag, frame, scale
	variable st, itsFormat
	
	if (strlen(obj)==0)
		obj = WinName(0,1)
		if (strlen(obj)==0)
			obj = WinName(0,2)
			if (strlen(obj)==0)
				obj = WinName(0,4)
				if (strlen(obj)==0)
					obj = StringFromList(0,PICTList("*",";",""))
					if (strlen(obj)==0)
			Notebook $ntbk text="NO OBJECT TO INSERT"
			return "NO OBJECT"
		endif
				endif
			endif
		endif
	else
		st = strsearch(obj,"(",0)
		if (st>0)
			mode = obj[0,st-1]
			flag = obj[st,strlen(obj)-1]
		else
			mode = obj
			flag = ""
		endif
		switch(WinType(mode))
			case 0:
				if (WhichListItem(mode,PICTList("*",";",""))<0)
					Notebook $ntbk text="NO OBJECT TO INSERT"
					return "NO OBJECT"
				break
				endif
			case 1:
			case 3:
				obj = mode + flag
				break
			case 2:
			default:
				obj = WinName(0,1)
				break
		endswitch
	endif
	
	if (ItemsInList(oSpecs)<4)
		oSpecs = "0;100;0;1;"
	endif
	
	frame = StringFromList(0,oSpecs)
	if (strlen(frame)==0)
		frame = "0"
	endif
	scale = StringFromList(1,oSpecs)
	if (strlen(scale)==0)
		scale="100"
	endif
	mode = StringFromList(2,oSpecs)
	if (strlen(mode)==0)
		mode = "0"
	endif
	flag = StringFromList(3,oSpecs)
	if (strlen(flag)==0)
		flag = "1"
	endif
	
	SplitString/E=("/F=./") WinRecreation(ntbk,0)
	itsFormat = str2num(S_value[3])
	
	if (itsFormat)
		sprintf theCmd, "%s, frame=%s, scaling={%s,%s}, picture={%s,%s,%s}", theCmd,frame,scale,scale, obj, mode,flag
	else
		sprintf theCmd, "%s text=\"OBJECT %s would be here in a formatted notebook\"", theCmd, obj	
	endif
	Execute/Q theCmd
	
	return (theCmd)
end

Static Function GetOffset(theproperty,theText, [start, option])
	string theproperty, theText
	variable start, option
	
	variable ic, nt, st
	string theStr
	
	if (ParamIsDefault(option))
		option=0
	endif
	
	if ((option==1)||(option==3))
		if (ParamIsDefault(start))
			start = INF
		endif
	else
		if (ParamIsDefault(start))
			start = 0
		endif
	endif
	
	st = start
	nt = ItemsInList(theproperty, ":")
	if (nt > 1)
		for (ic=0;ic<nt-1;ic+=1)
			sprintf theStr, "<%s", StringFromList(ic,theproperty,":")
			if (!option)
				st = strsearch(theText,theStr,st)
			else
				st = strsearch(theText,theStr,st,option)
			endif
			if (st < 0)
				return st
			endif
		endfor
		sprintf theStr, "<%s", StringFromList(ic,theproperty,":")
		st = strsearch(theText,theStr,st)
	else
		sprintf theStr, "<%s", StringFromList(0,theproperty,":")
		if (!option)
			st = strsearch(theText,theStr,st)
		else
			st = strsearch(theText,theStr,st,option)
		endif
	endif
	return st
end

Static Function SetNtbkOffset(theproperty,theNtbk, [flag])
	string theproperty, theNtbk
	variable flag
	
	variable ic, nt, st, en, pst, pen
	string theStr, theProp
	
	if (ParamIsDefault(flag))
		flag=-1
	endif
	
	nt = ItemsInList(theproperty, ":")
	if (nt > 1)
		for (ic=0;ic<nt;ic+=1)
			theProp = StringFromList(ic,theproperty,":")
			sprintf theStr, "<%s", theProp
			if (flag<0)
				Notebook $theNtbk, findText={theStr,4}
			else
				Notebook $theNtbk, findText={theStr,2^flag}
			endif
			if (!V_flag)
				return -1
			endif
		endfor
	else
		theProp = StringFromList(0,theproperty,":")
		sprintf theStr, "<%s", theProp
		if (flag<0)
			Notebook $theNtbk, findText={theStr,4}
		else
			Notebook $theNtbk, findText={theStr,2^flag}
		endif
		if (!V_flag)
			return -1
		endif
	endif
	sprintf theStr, "/%s>", theProp
	Notebook $theNtbk, findText={theStr,4}
	GetSelection notebook, $theNtbk, 1
	en = V_startPos-1; pen=V_startParagraph
	sprintf theStr, "<%s",theProp
	Notebook $theNtbk, findText={theStr,2^4}
	GetSelection notebook, $theNtbk, 1
	Notebook $theNtbk, findText={">",2}                            
	GetSelection notebook, $theNtbk, 1
	st = V_endPos; pst = V_endParagraph
	Notebook $theNtbk, selection={(pst,st),(pen,en)}
	return (st)
end

Static Function ItemsInXML(property,theText)
	string property, theText
	
	variable ic=0, en=0
	
	do
		en = GetOffset(property,theText, start=en)+1
		if (en == 0)
			break
		endif
		ic +=1
	while(1)	
	return ic
end

Static Function ToggleMeInvisible(how)
	variable how

	string IgorProcPathStr, filePath
	PathInfo Igor
	IgorProcPathStr = S_path + "User Procedures:XMLNoteTools:"
	NewPath/O/Q/Z XMLNT_ProcPath IgorProcPathStr
	filePath="XMLNoteToolsPanel.ipf"
	GetFileFolderInfo/Q/P=XMLNT_ProcPath filePath
	if (V_flag==0)
		SetFileFolderInfo/P=XMLNT_ProcPath/INV=(how)/RO=(how) filePath
	endif
	filePath="XMLNoteToolsModule.ipf"
	GetFileFolderInfo/Q/P=XMLNT_ProcPath filePath
	if (V_flag==0)
		SetFileFolderInfo/P=XMLNT_ProcPath/INV=(how)/RO=(how) filePath
	endif
	KillPath/Z XMLNT_ProcPath
	return 0
end


// SUPPORT FUNCTIONS

// Parse XML Input

Function/S parseinput(property,text, pretty, attributes, values)
	string property, text, attributes, values
	variable pretty

	string tS0 = "<", ts1 = "</", tE = ">", tR = "\r"
	string tT = "\t", tQ = "\"", tB="/"
	
	string theProp ="", rtnStr = "", theEnd = "", theAtt="", itsV="", tStr=""
	
	variable ic, nt, nv
	
	switch(pretty)
		case -1:
			return text
			break
		case 0:
			tR = ""
			tT = ""
			break
		case 1:
			break
	endswitch
	
	nt = ItemsInList(attributes)
	switch (nt)
		case 0:
			theAtt = ""
			break
		case 1:
			itsV = parseXMLvalue(StringFromList(0,values))
			sprintf theAtt, " %s=%s%s%s",StringFromList(0,attributes),tQ,itsV,tQ
			break
		default:
			nv = ItemsInList(values)
			if (nv < nt)
				values = ""
				for(ic=0;ic<nt;ic+=1)
					values += ";"
				endfor
			endif
			theAtt = ""
			for(ic=0;ic<nt;ic+=1)
				theProp = StringFromList(ic,attributes)
				itsV = parseXMLvalue(StringFromList(ic,values))
				sprintf theAtt, "%s %s=%s%s%s", theAtt, theProp,tQ,itsV,tQ
			endfor
			break
	endswitch
	
	nt = ItemsInList(property,":")
	
	switch(nt)
		case 0:
			rtnStr = parseXMLvalue(text)
			break
		case 1:
			theProp = StringFromList(0,property,":")
			if (strlen(text)==0)
				sprintf rtnStr, "%s%s%s %s%s", ts0,theProp,theAtt,tB,tE
			else
				sprintf rtnStr, "%s%s%s%s%s%s%s%s", ts0,theProp,theAtt,tE,parseXMLvalue(text),ts1,theProp,tE
			endif
			break
		default:
			for (ic=0;ic<nt-1;ic+=1)
				theProp = StringFromList(ic,property,":")
				theEnd += tT
				sprintf rtnStr, "%s%s%s%s%s%s",rtnStr,ts0,theProp,tE,tR,theEnd
			endfor
			theProp = StringFromList(nt-1,property,":")
			if (strlen(text)==0)
				sprintf rtnStr, "%s%s%s%s %s%s", rtnStr,ts0,theProp,theAtt,tB,tE
			else
				sprintf rtnStr, "%s%s%s%s%s%s%s%s%s", rtnStr,ts0,theProp,theAtt,tE,parseXMLvalue(text),ts1,theProp,tE
			endif
			for (ic=nt-2;ic>=0;ic-=1)
				theEnd = RemoveEnding(theEnd,"\t")
				theProp = StringFromList(ic,property,":")
				sprintf rtnStr, "%s%s%s%s%s%s", rtnStr, tR,theEnd,ts1,theProp,tE
			endfor
			break
	endswitch
	
	return rtnStr
end

// Parse XML Value

Function/S parseXMLvalue(vStr)
	string vStr
	
	string rtnStr, theCmd
	
	theCmd = vStr[0,1]
	if (cmpstr(theCmd,"\%")==0)
		rtnStr = vStr[1,strlen(vStr)-1]
		return rtnStr
	endif
	
	if (cmpstr(vStr[0],"%") == 0)
		string/G tmpXMLToolStr
		theCmd =  "tmpXMLToolStr = " + vStr[1,strlen(vStr)-1]
		Execute/Q/Z theCmd
		if (V_flag)
			tmpXMLToolStr = "Execution Error: " + vStr[1,strlen(vStr)-1]
		endif
		rtnStr = tmpXMLToolStr
		killstrings/Z tmpXMLToolStr
	else
		rtnStr = vStr
	endif
	
	return rtnStr
end

// Get Help

Function Help([topic])
	string topic
	
	string itsPath
	
	if (ParamIsDefault(topic))
		DisplayHelpTopic/K=1/Z "XML Note Tools"
	else
		DisplayHelpTopic/K=1/Z "XML Note Tools[Topic]"
	endif
	if (V_flag!=0)
		PathInfo Igor
		itsPath = S_Path + "User Procedures:XMLNoteTools:"
		NewPath/Z/Q/O itsPath
		OpenNotebook/P=itsPath "XMLNoteToolsHelp.ihf"
		DisplayHelpTopic/K=1 "XML Note Tools"
	endif
	return 0

end
