// XML Note Tools
// Jeffrey J Weimer
// SVN History: $Revision: 832 $ on $Date: 2008-07-08 18:06:22 -0500 (Tue, 08 Jul 2008) $

#pragma rtGlobals=1		// Use modern global access method.

#pragma IgorVersion=6.03
#pragma version = 1.0

#pragma ModuleName=XMLNTP

#include "XMLNoteToolsModule"

// Procedure String Constants
// define the default file folder and its name

Static StrConstant kProcFileFolder="XMLNoteTools"
Static StrConstant kProcFileName="XMLNoteToolsPanel.ipf"
Static StrConstant kProcFileVersion="v1.0"

Static StrConstant kTab0="Built-In"
Static StrConstant kTab1="User Defined"

// TEST MODE (comment out for actual use)
//#define TESTME

// Menu

Menu "Misc", hideable
	Submenu "Panels"
		"XML Note Tools Panel",/Q,XMLNTP#ShowPanel()
	end
End

// Setup Globals

Static Function SetupGlobals()
 	
	string cdf = GetDataFolder(1)

	SetDataFolder root:
	
	NewDataFolder/O/S Packages
	NewDataFolder/O/S XMLNoteTools
	NewDataFolder/O/S PanelGlobals
	variable/G template=1, object=1, notebk=1, replace=0
	variable/G frame=0, size=100, mode=0, pretty=0
	variable/G xsize=0, ysize=0, dynamic=1
	string/G notes0="", notes1="", notes2="", tmpStr="", filename=""
	string/G property="", newnotebk="MyNotebook", title="Observation"
	
	SetDataFolder ::
	
	NewDataFolder/O Templates
	
	SetDataFolder $cdf
	return 0
end

// Structure for Tool Panel Sizes

Static STRUCTURE XMLNoteToolsPanelStruct
	variable width
	variable height
ENDSTRUCTURE

// Initialize Panel Structure

Static Function InitPanelStructure(xmlNT)
	STRUCT XMLNoteToolsPanelStruct &xmlNT
	xmlNT.width = 265
	xmlNT.height = 255

#if(exists("ENN#CreateNewNotebook")==6)
	xmlnt.height+=kENNHeight-20
	xmlnt.width=max(kENNWidth,xmlnt.width)
#endif
end

// Display the XML Panel

Static Function ShowPanel()

	STRUCT XMLNoteToolsPanelStruct xmlNT

	if (strlen(WinList("XMLNoteToolsPanel",";","WIN:64"))!=0)
		DoWindow/F XMLNoteToolsPanel
	else	
		PutUpPanel(xmlNT)
	endif
	
	return 0
end

// INACCESIBLE PANEL FUNCTIONS

Static Function PutUpPanel(xmlNT)
	STRUCT XMLNoteToolsPanelStruct &xmlNT
	
	variable offset
	string pname
	
	pname = "XML Note Tools " + kProcFileVersion
	
	// initialize the globals

	SetupGlobals()

	InitPanelStructure(xmlNT)
		
#if(Exists("ScreenSizer#Initialize")==6)
	ScreenSizer#Initialize(0)
	ScreenSizer#MakePanel(70,10,xmlNT.width,xmlNT.height,pname,other="/N=XMLNoteToolsPanel/K=1")
#else
	NewPanel/W=(0,0,xmlNT.width,xmlNT.height)/N=XMLNoteToolsPanel/K=1 as pname
#endif

#if(exists("ENN#CreateNewNotebook")==6)
	offset = xmlnt.height-kENNHeight
	ENN#CreateNewNotebook(offset)
#endif

	SetWindow XMLNoteToolsPanel hook=XMLNTP#panelhook

#ifndef TESTME
	ModifyPanel noEdit=1, fixedSize=1
#endif

	Button tb_help, pos={xmlNT.width-17,3},size={15,15}, title="?", proc=XMLNTP#gethelp
	
	// complete panel	
	
	// set tab 0 controls
	
	TabControl XMLNTTabs,pos={1,2},size={xmlNT.width,20},tabLabel(0)=kTab0, fSize=12, font="Arial"
	SetTab0(xmlNT.width,xmlNT.height)
	
	// set tab 1 controls
	
//	TabControl XMLNTTabs,tabLabel(1)=kTab1, fSize=12, font="Arial"
//	SetTab1(xmlNT.width,xmlNT.height)	
//	ModifyControlList ControlNameList("",";","tb1_*") disable=1
	
	// set general tab controls
	
	SetTabG(xmlNT.width,xmlNT.height)

	// activate the tabs and set to tab 0
	
//	TabControl XMLNTTabs proc=XMLNTP#ChangeTab
	EngageTab(0)
	
	return 0
end
End

// Set Tab 0

Static Function SetTab0(width,height)
	variable width, height
	
	NVAR gtemplate =  root:Packages:XMLNoteTools:PanelGlobals:template
	NVAR gdynamic =  root:Packages:XMLNoteTools:PanelGlobals:dynamic
	NVAR greplace = root:Packages:XMLNoteTools:PanelGlobals:replace
	NVAR gobject = root:Packages:XMLNoteTools:PanelGlobals:object
	NVAR gframe = root:Packages:XMLNoteTools:PanelGlobals:frame
	NVAR gsize = root:Packages:XMLNoteTools:PanelGlobals:size
	NVAR gmode = root:Packages:XMLNoteTools:PanelGlobals:mode
	NVAR gpretty = root:Packages:XMLNoteTools:PanelGlobals:pretty
	NVAR gxsize = root:Packages:XMLNoteTools:PanelGlobals:xsize
	NVAR gysize =  root:Packages:XMLNoteTools:PanelGlobals:ysize
	SVAR gnotes0 = root:Packages:XMLNoteTools:PanelGlobals:notes0
	SVAR gnotes1 = root:Packages:XMLNoteTools:PanelGlobals:notes1
	SVAR gnotes2 = root:Packages:XMLNoteTools:PanelGlobals:notes2
	SVAR gproperty = root:Packages:XMLNoteTools:PanelGlobals:property
	SVAR gtitle = root:Packages:XMLNoteTools:PanelGlobals:title
	
	PopupMenu tb0_template,pos={8,30},size={215,20},title="Template", proc=XMLNTP#settemplate
	PopupMenu tb0_template,mode=gtemplate, fSize=10, font="Arial", bodywidth=164
	PopupMenu tb0_template, value="None;property : object || notes;property : object : options;property : text : options;"
	
	CheckBox tb0_cbdynamic title="!",pos={width-25,33}, variable=gdynamic, fSize=10, font="Arial"

	CheckBox tb0_cbheader, title="|", pos={8,63}, proc=XMLNTP#setcb, fSize=10, font="Arial", value=1
	CheckBox tb0_cbtitle,pos={35,63},size={46,14},title="Title", value=1, proc=XMLNTP#setcb, fSize=10, font="Arial"
	SetVariable tb0_title,pos={80,62},size={89,16},value=gtitle,bodyWidth=89, title=" " //, disable=1
	CheckBox tb0_cbdate,pos={171,63},size={40,14},title="", value=1, proc=XMLNTP#setcb
	Button tb0_calendar pos={188,56},size={22,25}, title="" //,picture=ProcGlobal#CalendarSnipOn,disable=2
	CheckBox tb0_cbtime,pos={215,63},size={40,14},title="", value=1, proc=XMLNTP#setcb
	Button tb0_clock pos={229,57},size={22,25}, title="" //,picture=ProcGlobal#ClockOn,disable=2

	SetVariable tb0_property,pos={8,62},size={161,16},value=gproperty,bodyWidth=132, title="Prop:", fSize=10, font="Arial" //, disable=1
	CheckBox tb0_cbpretty,pos={175,63},size={45,14},title="", variable=gpretty, disable=1, fSize=10, font="Arial",proc=XMLNTP#setcb

	Button tb0_pretty, pos={192,60}, title="" //, picture=ProcGlobal#prettyon,disable=2

	PopupMenu tb0_puobject,pos={8,85},size={40,21},fSize=12, proc=XMLNTP#selectit
	PopupMenu tb0_puobject,mode=2,bodyWidth= 40,popvalue="1",value= #"\"-;1;2;\""

	PopupMenu tb0_object,pos={59,86},size={170,21},title="",proc=XMLNTP#setobj
	PopupMenu tb0_object,mode=gobject,bodyWidth=170,value= #"XMLNTP#olist()"

	SetVariable tb0_frame,pos={24,120},size={46,16},title="[ ]", fSize=10, font="Arial"
	SetVariable tb0_frame,limits={0,4,1},value=gframe

	Slider tb0_scale,pos={70,110},size={82,52},limits={5,100,5},variable=gsize,vert= 0

	ValDisplay tb0_showscale,pos={149,122},size={25,15}, value=#"root:Packages:XMLNoteTools:PanelGlobals:size"
	
	SetVariable tb0_mode,pos={6,136},size={64,16},title="Mode", fSize=10, font="Arial"
	SetVariable tb0_mode,limits={-5,8,1},value=gmode, proc=XMLNTP#setmode

	CheckBox tb0_cbbw,pos={8,107},size={42,14},title="B&W",value=0, fSize=10, font="Arial"

	SetVariable tb0_height,pos={185,114},size={47,16},title="|",value=gysize
	SetVariable tb0_height,bodyWidth= 42, limits={0,8200,50}, proc=XMLNTP#psize, fSize=10, font="Arial"
	SetVariable tb0_width,pos={185,133},size={47,16},title="_",value=gxsize
	SetVariable tb0_width,bodyWidth= 42, limits={0,8200,50}, proc=XMLNTP#psize, fSize=10, font="Arial"
	
	PopupMenu tb0_punotes,pos={8,156},size={40,21}, proc=XMLNTP#selectit
	PopupMenu tb0_punotes,mode=3,bodyWidth= 40,popvalue="2",value= #"\"-;1;2;\""

	PopupMenu tb0_separator,pos={width-55,156},size={46,21},title="", value="cr; ;tab;", mode=1

	Button tb0_clearnotes,pos={125,156},title="", picture=ProcGlobal#Eraser, proc=XMLNTP#ClearNotes
	SetVariable tb0_replace,pos={162,158},size={60,16},title=">#<", fSize=10, font="Arial"
	SetVariable tb0_replace,limits={-inf,inf,1},value=greplace, proc=XMLNTP#setreplace //, disable=1

	SetVariable tb0_notes0,pos={8,177},size={width-15,16},value=gnotes0, title=" "
	SetVariable tb0_notes1,pos={8,193},size={width-15,16},value=gnotes1, title=" "
	SetVariable tb0_notes2,pos={8,209},size={width-15,16},value=gnotes2, title=" "

	return 0
end

// Set Tab 1

Static Function SetTab1(width,heigth)
	variable width, heigth

	SVAR gfilename = root:Packages:XMLNoteTools:PanelGlobals:filename

	PopupMenu tb1_template,pos={8,30},size={200,20},title="Template"
	PopupMenu tb1_template, fSize=10, font="Arial", bodywidth=149
	PopupMenu tb1_template, value=#"XMLNTP#udtlist()"
	
	Button tb1_openfile title="",pos={220,15},picture=XMLNTP#OpenFileButton
	
	return 0
end

Static Function/S UDTList()

	string theList = "", theOne
	variable ic = 0
	do
		theOne = GetIndexedObjName("root:Packages:XMLNoteTools:Templates",3,ic)
		if (strlen(theOne)==0)
			break
		endif
		ic+=1
		theList+=theOne + ";"
	while(1)
	if (strlen(theList)==0)
		return "None Defined;"
	else
		return SortList(theList,";",0)
	endif

end

// Set General Tab

Static Function SetTabG(width,height)
	variable width, height

	NVAR gnotebk =  root:Packages:XMLNoteTools:PanelGlobals:notebk
	SVAR gnewntbk = root:Packages:XMLNoteTools:PanelGlobals:newnotebk

	Button tb_tonotebook,pos={8,230},size={20,20},title="->",fSize=12,fStyle=1, proc=XMLNTP#SendToNotebook

	PopupMenu tb_notebook,pos={30,230},size={165,21},bodywidth=0
	PopupMenu tb_notebook,mode=gnotebk,value= #"XMLNTP#nlist()",title="",proc=XMLNTP#setnotebk

	PopupMenu tb_location,pos={width-90,230},size={152,21},title="->"
	PopupMenu tb_location,mode=3,value="|<<;<;!;>;>>|;", fSize=10, font="Arial"

	SetVariable tb_newntbk,pos={97,232},size={140,21},title=" ",value=gnewntbk //,disable=1
	
	return 0
end

// change tab

Static Function ChangeTab(TC_Struct)
	STRUCT WMTabControlAction &TC_Struct

	switch(TC_Struct.eventCode)
		case 2:
			SetDrawLayer/K ProgBack
			EngageTab(TC_Struct.tab)
	endswitch
	
	return 0
end

// activate (engage) a tab

Static Function EngageTab(num)
	variable num

	STRUCT XMLNoteToolsPanelStruct xmlNT
	NVAR gtemplate =  root:Packages:XMLNoteTools:PanelGlobals:template

	InitPanelStructure(xmlNT)
	
	switch(num)
		case 0:			
			ModifyControlList ControlNameList("",";","tb1_*") disable=1
			ModifyControlList ControlNameList("",";","tb0_*") disable=0
			SetDrawLayer ProgBack
			DrawLine 5,55,xmlNT.width-5,55
			DrawLine 5,83,xmlNT.width-5,83
			DrawLine 5,154,xmlNT.width-5,154
			DrawLine 5,227,xmlNT.width-5,227
		
			STRUCT WMPopupAction pa
			
			pa.eventCode=99
			pa.popNum=gtemplate
			settemplate(pa)
			break
		case 1:

//// if ENN exists, remove its controls
//
//#if(exists("ENN#ShowPanel")==6)
//			ENN#ShowPanel(-1)
//#endif
			ModifyControlList ControlNameList("",";","tb0_*") disable=1
			ModifyControlList ControlNameList("",";","tb1_*") disable=0
			DrawLine 5,55,xmlNT.width-5,55
			DrawLine 5,227,xmlNT.width-5,227
			break
	endswitch
	return 0

end

// Get Help

Static Function gethelp(ba) : ButtonControl
	STRUCT WMButtonAction &ba

	switch( ba.eventCode )
		case 2:
			xmlnotetoolsmodule#help()
			break
	endswitch
	return 0
end

// Object List

Function/S OList()

	NVAR gdynamic =  root:Packages:XMLNoteTools:PanelGlobals:dynamic

	string theStr, rtStr = "None;"
	
	if (gdynamic)
		theStr = WinList("*",";","WIN:7")
	else
		theStr = SortList(WinList("*",";","WIN:1"))
		theStr += SortList(WinList("*",";","WIN:2"))
		theStr += SortList(WinList("*",";","WIN:4"))
	endif
	theStr += SortList(PICTList("*",";",""))
	if (strlen(theStr)==0)
		return rtStr
	else
		return theStr
	endif
end

// Notebook List

Static Function/S NList()

	NVAR gdynamic =  root:Packages:XMLNoteTools:PanelGlobals:dynamic

	if (!gdynamic)
		return ("New;"+SortList(WinList("*",";","WIN:16")))
	else
	return ("New;" + WinList("*",";","WIN:16"))
	endif
end

// Send to Notebook

Static Function SendToNotebook(ba) : ButtonControl
	STRUCT WMButtonAction &ba
	
	switch( ba.eventCode )
		case 2:
			ControlInfo XMLNTTabs			
			switch(V_value)
				case 0:
					ToNotebook0()
					break
				case 1:
					print "to notebook 1"
					break
			endswitch
			break
	endswitch
	return 0
end

// To Notebook from Tab0

Static Function ToNotebook0()		
	
	NVAR gtemplate =  root:Packages:XMLNoteTools:PanelGlobals:template
	NVAR gobject = root:Packages:XMLNoteTools:PanelGlobals:object
	NVAR gpretty = root:Packages:XMLNoteTools:PanelGlobals:pretty
	NVAR greplace = root:Packages:XMLNoteTools:PanelGlobals:replace
	NVAR gnotebk =  root:Packages:XMLNoteTools:PanelGlobals:notebk
	NVAR gframe = root:Packages:XMLNoteTools:PanelGlobals:frame
	NVAR gsize = root:Packages:XMLNoteTools:PanelGlobals:size
	NVAR gmode = root:Packages:XMLNoteTools:PanelGlobals:mode
	SVAR gnotes0 = root:Packages:XMLNoteTools:PanelGlobals:notes0
	SVAR gnotes1 = root:Packages:XMLNoteTools:PanelGlobals:notes1
	SVAR gnotes2 = root:Packages:XMLNoteTools:PanelGlobals:notes2
	SVAR gproperty = root:Packages:XMLNoteTools:PanelGlobals:property
	SVAR gnewntbk = root:Packages:XMLNoteTools:PanelGlobals:newnotebk
	SVAR gtitle = root:Packages:XMLNoteTools:PanelGlobals:title
	NVAR gysize = root:Packages:XMLNoteTools:PanelGlobals:ysize
	NVAR gxsize = root:Packages:XMLNoteTools:PanelGlobals:xsize

	STRUCT WMPopupAction pa
	STRUCT WMButtonAction ba
	
	string at="", theObject="", theDTStr="", theNotes="", cr = "\r", theNtbk="", oSpecs=""
	variable bw=1, cobj=1, cnot=2, itsFormat=1, stb=0, ic, nt=0
		
	// set the property format
	
	if (cmpstr(gproperty[strlen(gproperty)-1],":")!=0)
		gproperty += ":"
	endif

	// get the title/date/time
	// get the notes
	// get the object

	switch(gtemplate)
		case 1:	// none
			ControlInfo tb0_cbheader
			if (!V_Value)
				theDTStr = ""
			else
				ControlInfo tb0_cbtitle
				if (V_value)
					theDTStr = gtitle + ": "
				endif
				ControlInfo tb0_cbdate
				if (V_value)
					theDTStr += date()
				endif
				ControlInfo tb0_cbtime
				if (V_value)
					if (strlen(theDTStr)==0)
						theDTStr += time()
					else
						theDTStr += " / " + time()
					endif
				endif
			endif
		case 2:	// property | object | notes
//			ControlInfo tb0_cbnotes
			ControlInfo tb0_punotes
			cnot = V_value-1
			if (cnot>0)
				ControlInfo tb0_separator
				switch(V_value)
					case 1:
						cr = "\r"
						break
					case 2:
						cr = " "
						break
					case 3:
						cr = "\t"
						break
				endswitch
				if (strlen(gnotes0)!=0)
					theNotes+= xmlnotetoolsmodule#parsexmlvalue(gnotes0)
				endif
				if (strlen(gnotes1)!=0)
					theNotes+= cr + xmlnotetoolsmodule#parsexmlvalue(gnotes1)
				endif
				if (strlen(gnotes2)!=0)
					theNotes+= cr + xmlnotetoolsmodule#parsexmlvalue(gnotes2)
				endif
				if ((gtemplate==1)&&(strlen(theNotes)!=0))
					theNotes+="\r"
				endif
			endif
		case 3:	// property | object | options
			ControlInfo tb0_object
			gobject=V_value
			
//			ControlInfo tb0_cbobject
			ControlInfo tb0_puobject
			cobj = V_value-1
			if (cobj>0)			
				theObject = StringFromList(gobject-1,XMLNTP#OList())
				if (cmpstr(theObject,"None")==0)
					cobj=0
				else
					ControlInfo tb0_cbbw
					bw = !V_value
				endif
			endif
		case 4:	// property | text | options
		default:
			break
	endswitch

	// get notebook and its format

	if (gnotebk == 1)
		if (strlen(gnewntbk)==0)
			gnewntbk = CleanUpName("Ntbk" + ReplaceString(":",time(),""),0)
		else
			gnewntbk = CleanUpName(gnewntbk,0)
		endif

#if(exists("ENN#DoIt")==6)
		ba.eventCode=2
		ba.userData=gnewntbk
		ENN#DoIt(ba)
		theNtbk=ba.userData
#else
		if (strlen(WinList(gnewntbk,";","WIN:16"))==0)
			NewNotebook/F=1/N=$gnewntbk/W=(0,0,100,200)
			itsFormat = 1
			at = "start"
			theNtbk = gnewntbk
		else
			theNtbk = gnewntbk
			SplitString/E=("/F=./") WinRecreation(theNtbk,0)
			itsFormat = str2num(S_value[3])
		endif
#endif
		pa.popNum = WhichListItem(theNtbk,XMLNTP#NList())+1
		pa.eventCode = 98
		XMLNTP#setnotebk(pa)
	else
		theNtbk = StringFromList(gnotebk-1,XMLNTP#NList())
		SplitString/E=("/F=./") WinRecreation(theNtbk,0)
		itsFormat = str2num(S_value[3])
		ControlInfo tb_location
		at = StringFromList(V_value-1,"start;previous;current;next;end;")
	endif				
	
	// put the stuff
	
	switch(gtemplate)
		case 1:	// none
			xmlnotetoolsmodule#NoteText(theNtbk,"",theDTStr,0,0,at,"","")
			for (ic=0;ic<2;ic+=1)
				if (cobj==1)
					switch(WinType(theObject))
						case 0:	// none (PICT)
							if (WhichListItem(theObject,PictList("*",";",""))==-1)
								Notebook $theNtbk, text="NO OBJECT TO INSERT\r"
								break
							endif
							if (itsFormat)
								Notebook $theNtbk, frame=gframe, scaling={gsize,gsize}, picture={$theObject,gmode,bw}
								Notebook $theNtbk, text="\r"
							else
								sprintf theDTStr, "OBJECT %s would be here in a formatted notebook\r", theObject
								Notebook $theNtbk, text=theDTStr
							endif	
							break
						case 1:	// graph
						case 2:	// table
						case 3:	// layout
								if (itsFormat)
									Notebook $theNtbk, frame=gframe, scaling={gsize,gsize}, picture={$theObject(0,0,gxsize,gysize),gmode,bw}
									Notebook $theNtbk, text="\r"
								else
									sprintf theDTStr, "OBJECT %s would be here in a formatted notebook\r", theObject
									Notebook $theNtbk, text=theDTStr
								endif	
								break					
					endswitch
				endif
				if ((cnot==1)&&(strlen(theNotes)!=0))
					Notebook $theNtbk, text=theNotes
				endif
				cobj+=-1
				cnot+=-1
			endfor
			break
		case 2:	// property | object | notes
			for (ic=0;ic<2;ic+=1)
				if (cobj==1)
					if (itsFormat)
						sprintf oSpecs, "%d;%d;%d;%d;", gframe, gsize, gmode, bw
						sprintf theObject, "%s(0,0,%d,%d)", theObject,gxsize,gysize
						xmlnotetoolsmodule#NoteObject(theNtbk,(gproperty+"object:"),theObject,greplace,gpretty,at,oSpecs,"","")
					else
						sprintf theDTStr, "OBJECT %s would be here in a formatted notebook", theObject
						xmlnotetoolsmodule#NoteText(theNtbk,(gproperty+"object:"),theDTStr,greplace,gpretty,at,"","")
					endif
					stb = 1				
				endif						
				if ((cnot==1)&&(strlen(theNotes)!=0))
					if (gpretty)
						nt = ItemsInList(gproperty,":")
						theDTStr=""
						for (ic=0;ic<nt;ic+=1)
							theDTStr += "\t"
						endfor
						if (stb)
							xmlnotetoolsmodule#NoteText(theNtbk,"notes:",theNotes,greplace,gpretty,num2str(-nt),"","")
							Notebook $theNtbk, findText={"",1}
							GetSelection notebook, $theNtbk, 1
							Notebook $theNtbk selection={(V_startParagraph-1,0),(V_startParagraph-1,0)}
							Notebook $theNtbk, text=theDTStr		
							Notebook $theNtbk selection={(V_startParagraph+nt,0),(V_startParagraph+nt,0)}
						else
							xmlnotetoolsmodule#NoteText(theNtbk,(gproperty+"notes:"),theNotes,greplace,gpretty,at,"","")
						endif
					else
						Notebook $theNtbk, findText={"/object>",2^4}
						GetSelection notebook, $theNtbk, 1
						Notebook $theNtbk selection={(V_startParagraph,V_endPos),(V_startParagraph,V_endPos)}
						Notebook $theNtbk text=("<notes>"+gnotes0+"</notes>")
						Notebook $theNtbk selection={(V_startParagraph+1,0),(V_startParagraph+1,0)}
					endif
				endif
				cobj+=-1
				cnot+=-1
			endfor
			break
		case 3:	// property | object | options
			if (itsFormat)
				sprintf oSpecs, "%d;%d;%d;%d;", gframe, gsize, gmode, bw
				sprintf theObject, "%s(0,0,%d,%d)", theObject,gxsize,gysize
				xmlnotetoolsmodule#NoteObject(theNtbk,(gproperty+"object:"),theObject,greplace,gpretty,at,oSpecs,gnotes1,gnotes2)
			else
				sprintf theDTStr, "OBJECT %s would be here in a formatted notebook", theObject
				xmlnotetoolsmodule#NoteText(theNtbk,(gproperty+"object:"),theDTStr,greplace,gpretty,at,gnotes1,gnotes2)
			endif
			break
		case 4:	// property | text | options
			xmlnotetoolsmodule#NoteText(theNtbk,gproperty,gnotes0,greplace,gpretty,at,gnotes1,gnotes2)
			break
		default:
			break
	endswitch

	return 0
End

// Panel Hook Function

Static Function panelhook(infoStr)
	string infoStr

	NVAR gnotebk =  root:Packages:XMLNoteTools:PanelGlobals:notebk
	NVAR gobject = root:Packages:XMLNoteTools:PanelGlobals:object
	NVAR gdynamic = root:Packages:XMLNoteTools:PanelGlobals:dynamic

	STRUCT WMPopupAction wmpa
	
	string event=StringByKey("EVENT",infoStr)
	variable et
	
	strswitch(event)
		case "activate":
			if (gdynamic)
				et = ItemsInList(XMLNTP#nlist())
				if (et==1)
					gnotebk=1
				endif
				PopupMenu tb_notebook,mode=gnotebk,value= #"XMLNTP#nlist()"
				PopupMenu tb0_object,mode=gobject,value= #"XMLNTP#olist()"
			else
				ControlInfo tb0_notebook
				et = WhichListItem(S_value,XMLNTP#nlist())
				PopupMenu tb_notebook, popValue=S_value //, mode=et+1
				gnotebk = et+1
				ControlInfo tb0_object
				et = WhichListItem(S_value,XMLNTP#olist())
				PopupMenu tb0_object, popValue=S_value //, mode=et+1
				gobject = et+1
			endif
			break
	endswitch
	
	return 0
	
end

// PANEL FUNCTIONS

Static Function ClearNotes(ba) : ButtonControl
	STRUCT WMButtonAction &ba

	SVAR gnotes0 = root:Packages:XMLNoteTools:PanelGlobals:notes0
	SVAR gnotes1 = root:Packages:XMLNoteTools:PanelGlobals:notes1
	SVAR gnotes2 = root:Packages:XMLNoteTools:PanelGlobals:notes2
	switch( ba.eventCode )
		case 2:
			ControlInfo tb0_template
			switch(V_value)
				case 1:
				case 2:
					gnotes0=""
					gnotes1=""
					gnotes2=""
					SetVariable tb0_notes0 activate
					break
				case 3:
					gnotes1=""
					gnotes2=""
					SetVariable tb0_notes1 activate
					break
				case 4:
					gnotes0=""
					SetVariable tb0_notes0 activate
					break
			endswitch
	endswitch
	return 0
end

Static Function SetObj(pa) : PopupMenuControl
	STRUCT WMPopupAction &pa

	NVAR gobject =  root:Packages:XMLNoteTools:PanelGlobals:object
		
	switch( pa.eventCode )
		case 2:
			if (pa.popNum==gobject)
				break
			endif
		case 98:
			gobject = pa.popNum
			break
	endswitch
	return 0
end

Static Function SelectIt(pa) : PopupMenuControl
	STRUCT WMPopupAction &pa
	
	switch( pa.eventCode )
		case 2:
			strswitch( pa.ctrlName )
				case "tb0_puobject":
					ControlInfo tb0_punotes
					switch( pa.popNum )
						case 1:
							if (V_value!=1)
								PopupMenu tb0_punotes mode=2
							endif
							XMLNTP#SetObject(1)
							break
						case 2:
							if (V_value!=1)
								PopupMenu tb0_punotes mode=3
							endif
							XMLNTP#SetObject(0)
							break
						case 3:
							if (V_value!=1)
								PopupMenu tb0_punotes mode=2
							else
								PopupMenu tb0_puobject mode=2
							endif
							XMLNTP#SetObject(0)
							break
					endswitch
					break
				case "tb0_punotes":
					ControlInfo tb0_puobject
					switch( pa.popNum )
						case 1:
							if (V_value!=1)
								PopupMenu tb0_puobject mode=2
							endif
							XMLNTP#SetNotes(1)
							break
						case 2:
							if (V_value!=1)
								PopupMenu tb0_puobject mode=3
							endif
							XMLNTP#SetNotes(0)
							break
						case 3:
							if (V_value!=1)
								PopupMenu tb0_puobject mode=2
							else
								PopupMenu tb0_punotes mode=2
							endif
							XMLNTP#SetNotes(0)
							break
					endswitch				
					break
			endswitch
	endswitch
	return 0
end

Static Function SetTemplate(pa) : PopupMenuControl
	STRUCT WMPopupAction &pa

	NVAR gtemplate =  root:Packages:XMLNoteTools:PanelGlobals:template
	NVAR gnotebk =  root:Packages:XMLNoteTools:PanelGlobals:notebk
	NVAR gpretty = root:Packages:XMLNoteTools:PanelGlobals:pretty
	NVAR greplace = root:Packages:XMLNoteTools:PanelGlobals:replace
	SVAR gnotes0 = root:Packages:XMLNoteTools:PanelGlobals:notes0
	SVAR gtmpStr = root:Packages:XMLNoteTools:PanelGlobals:tmpStr
	
	gtmpStr = "OBJECT"
	
	STRUCT WMCheckboxAction cba
	
	STRUCT XMLNoteToolsPanelStruct xmlNT
	
	switch( pa.eventCode )
		case 2:
			if (pa.popNum==gtemplate)
				break
			endif
		case 99:
			InitPanelStructure(xmlNT)
			// set for the given template
			cba.eventCode=2
			gtemplate=pa.PopNum
			ModifyControlList ControlNameList("",";","tb0_*") disable=0
			switch(pa.popNum)
				case 1:	// none
					ControlInfo tb0_cbheader
					cba.checked=V_value
					cba.ctrlName="tb0_cbheader"
					cba.eventCode=99
					setcb(cba)
//					ControlInfo tb0_cbobject
					ControlInfo tb0_puobject
					if (V_value>1)
						XMLNTP#SetObject(0)
					else
						XMLNTP#SetObject(1)
					endif
					Button tb0_pretty picture=ProcGlobal#prettyon,disable=1
					Checkbox tb0_cbpretty, disable=1
					SetVariable tb0_replace, disable=1
					SetVariable tb0_property, disable=1
//					ControlInfo tb0_cbnotes
					ControlInfo tb0_punotes
					if (V_value>1)
						XMLNTP#SetNotes(0)
					else
						XMLNTP#SetNotes(1)
					endif
					SetVariable tb0_notes0, value=gnotes0
					SetVariable tb0_notes1, title=" ",pos={8,193},size={xmlNT.width-15,16}
					SetVariable tb0_notes2, title=" ",pos={8,209},size={xmlNT.width-15,16}
					break
				case 2:	// property | object | notes
					SetVariable tb0_title, disable=1
					Checkbox tb0_cbtitle, disable=1
					Button tb0_calendar disable=1
					Button tb0_clock disable=1
					if (gpretty)
						Button tb0_pretty picture=ProcGlobal#prettyon,disable=2
					else
						Button tb0_pretty picture=ProcGlobal#prettyoff,disable=2
					endif
					SetVariable tb0_replace, disable=1
					Checkbox tb0_cbdate, disable=1
					Checkbox tb0_cbtime, disable=1
					SetVariable tb0_notes0, value=gnotes0
//					Checkbox tb0_cbnotes, title="Notes"
					SetVariable tb0_notes1, title=" ",pos={8,193},size={xmlNT.width-15,16}
					SetVariable tb0_notes2, title=" ",pos={8,209},size={xmlNT.width-15,16}
					break
				case 3:	// property | object | options
					if (gpretty)
						Button tb0_pretty picture=ProcGlobal#prettyon,disable=2
					else
						Button tb0_pretty picture=ProcGlobal#prettyoff,disable=2
					endif
					SetVariable tb0_title, disable=1
					Checkbox tb0_cbtitle, disable=1
					Button tb0_calendar disable=1
					Button tb0_clock disable=1
					SetVariable tb0_replace, disable=1
					Checkbox tb0_cbdate, disable=1
					Checkbox tb0_cbtime, disable=1
//					Checkbox tb0_cbnotes, title="Template Input", value=1, disable=2
//					Checkbox tb0_cbobject, value=1, disable=2
					PopupMenu tb0_puobject, disable=1
					PopupMenu tb0_punotes, disable=1
					SetVariable tb0_notes0, value=gtmpStr
					SetVariable tb0_notes1, title="attributes", pos={8,193},size={xmlNT.width-15,16}, disable=0
					SetVariable tb0_notes2, title="values", pos={8,209},size={xmlNT.width-15,16}, disable=0
					SetVariable tb0_notes0, disable=2
					PopupMenu tb0_separator, disable=1
					break
				case 4:	// property | text | options
					if (gpretty)
						Button tb0_pretty picture=ProcGlobal#prettyon,disable=2
					else
						Button tb0_pretty picture=ProcGlobal#prettyoff,disable=2
					endif
					SetVariable tb0_title, disable=1
					Checkbox tb0_cbtitle, disable=1
					Button tb0_calendar disable=1
					Button tb0_clock disable=1
					Checkbox tb0_cbdate, disable=1
					Checkbox tb0_cbtime, disable=1
//					Checkbox tb0_cbobject, disable=1
					PopupMenu tb0_punotes, disable=1
					PopupMenu tb0_puobject, disable=1
					PopupMenu tb0_object, disable=1
					SetVariable tb0_frame, disable=1
					SetVariable tb0_mode, disable=1
					Slider tb0_scale, disable=1
					Checkbox tb0_cbbw, disable=1
//					Checkbox tb0_cbnotes, title="Text", value=1, disable=2
					SetVariable tb0_notes0, value=gnotes0
					SetVariable tb0_notes1, title="attributes", pos={8,193},size={xmlNT.width-15,16}, disable=0
					SetVariable tb0_notes2, title="values", pos={8,209},size={xmlNT.width-15,16}, disable=0
					ValDisplay tb0_showscale, disable=1
					PopupMenu tb0_separator, disable=1
					SetVariable tb0_width, disable=1
					SetVariable tb0_height, disable=1
					break
			endswitch
			
			// modify for the given notebook
			
			pa.PopNum = gnotebk
			pa.eventCode = 99
			XMLNTP#setnotebk(pa)
			break
	endswitch

	return 0
End

Static Function SetObject(onoff)
	variable onoff
	
	PopupMenu tb0_object, disable=onoff
	SetVariable tb0_frame, disable=onoff
	SetVariable tb0_mode, disable=onoff
	Checkbox tb0_cbbw, disable=onoff
	ValDisplay tb0_showscale, disable=onoff
	Slider tb0_scale, disable=onoff
	SetVariable tb0_width, disable=onoff
	SetVariable tb0_height, disable=onoff

	return 0
End

Static Function SetNotes(onoff)
	variable onoff
	
	PopupMenu tb0_separator, disable=onoff
	Button tb0_clearnotes, disable=onoff
	SetVariable tb0_notes0, disable=onoff
	SetVariable tb0_notes1, disable=onoff
	SetVariable tb0_notes2, disable=onoff

	return 0
End

Static Function setreplace(sva) : SetVariableControl
	STRUCT WMSetVariableAction &sva

	NVAR greplace = root:Packages:XMLNoteTools:PanelGlobals:replace

	switch(sva.eventCode)
		case 1: // mouse up
		case 2: // Enter key
		case 3: // Live update
			if (sva.dval==0)
				PopupMenu tb_location disable=0
				SetVariable tb0_notes1 disable=0
				SetVariable tb0_notes2 disable=0
				PopupMenu tb_location,pos={168,230},size={152,21},title="->",disable=0, bodyWidth=0
				ControlInfo tb0_template
				if (V_value==1)
					Checkbox tb0_cbpretty disable=1
					Button tb0_pretty disable=1
				else
					Checkbox tb0_cbpretty disable=0
					Button tb0_pretty disable=2
				endif				
			else
				ControlInfo tb0_template
				if (V_value==3)
					greplace=0
					break
				endif
				PopupMenu tb_location disable=1	
				SetVariable tb0_notes1 disable=1
				SetVariable tb0_notes2 disable=1
				PopupMenu tb_location title="REPLACING",bodyWidth=1,disable=2
				Checkbox tb0_cbpretty disable=1
				Button tb0_pretty disable=1
			endif
			break
	endswitch

	return 0
End

Static Function setnotebk(pa) : PopupMenuControl
	STRUCT WMPopupAction &pa

	NVAR gnotebk =  root:Packages:XMLNoteTools:PanelGlobals:notebk
	NVAR gtemplate =  root:Packages:XMLNoteTools:PanelGlobals:template
	SVAR gnewntbk = root:Packages:XMLNoteTools:PanelGlobals:newnotebk
	
	switch( pa.eventCode )
		case 2: // mouse up
			if (pa.popNum==gnotebk)
				break
			endif
		case 98: // new notebook just created or killed
			gnotebk = pa.popNum
			PopupMenu tb_notebook, mode=pa.popNum				
		case 99: // new template chosen
			if (gnotebk==1)
				PopupMenu tb_location disable=1
				SetVariable tb_newntbk disable=0
				SetVariable tb0_replace disable=1
				gnewntbk = ""

// if ENN exists, add back its controls

#if(exists("ENN#ShowPanel")==6)
				ENN#ShowPanel(-2)
#endif
			else
				PopupMenu tb_location disable=0
				SetVariable tb_newntbk disable=1
				SetVariable tb0_replace disable=(gtemplate!=5)
//				PopupMenu tb_notebook,pos={30,260},size={185,21},bodywidth=140

// if ENN exists, remove its controls

#if(exists("ENN#ShowPanel")==6)
				ENN#ShowPanel(-1)
#endif

			endif
	endswitch
	return 0
End

Static Function setmode(sva) : SetVariableControl
	STRUCT WMSetVariableAction &sva

	NVAR gmode = root:Packages:XMLNoteTools:PanelGlobals:mode

	switch( sva.eventCode )
		case 1: // mouse up
		case 2: // Enter key
		case 3: // Live update
			strswitch(IgorInfo(2))
				case "Windows":
					switch(sva.dval)
						case -5:
						case -4:
							break
						case -1:
						case -2:
						case -3:
							if (sva.dval<-2)
								gmode=0
							else
								gmode=-4
							endif
							break
						default:
							gmode = 0
							break
					endswitch				
					break
				default:
					switch(sva.dval)
						case -5:
						case -4:
						case -2:
							break
						case -3:
							gmode = -4
							break
						case -1:
							gmode = -2
							break
						case 3:
							gmode = 4
							break
						case 5:
						case 6:
						case 7:
							if (sva.dval<6)
								gmode = 8
							else
								gmode = 4
							endif
							break
						default:
							break
					endswitch				
					break
			endswitch
		endswitch

	return 0
End

Static Function psize(sva) : SetVariableControl
	STRUCT WMSetVariableAction &sva

	NVAR gysize = root:Packages:XMLNoteTools:PanelGlobals:ysize
	NVAR gxsize = root:Packages:XMLNoteTools:PanelGlobals:xsize

	switch( sva.eventCode )
		case 1: // mouse up
		case 2: // Enter key
		case 3: // Live update
			if (sva.dval<50)
				strswitch(sva.ctrlName)
					case "tb0_width":
						gxsize = 0
						break
					default:
						gysize = 0
						break
				endswitch
			endif
			break
	endswitch

	return 0
End

Static Function setcb(cba) : CheckBoxControl
	STRUCT WMCheckboxAction &cba
	
	switch( cba.eventCode )
		case 2: // mouse up
		case 99: // change in template
			strswitch(cba.ctrlName)
				case "tb0_cbheader":
					if (cba.checked)
						CheckBox tb0_cbtitle, disable=0
						CheckBox tb0_cbdate, disable=0
						CheckBox tb0_cbtime, disable=0
						ControlInfo tb0_cbtitle
						SetVariable tb0_title, disable=!V_value
						ControlInfo tb0_cbdate
						if (V_value)
							Button tb0_calendar, disable=2, picture=ProcGlobal#CalendarSnipOn
						else
							Button tb0_calendar, disable=2, picture=ProcGlobal#CalendarSnipOff
						endif
						ControlInfo tb0_cbtime
						if (V_value)
							Button tb0_clock, disable=2, picture=ProcGlobal#ClockOn
						else
							Button tb0_clock, disable=2, picture=ProcGlobal#ClockOff
						endif
					else
						CheckBox tb0_cbtitle, disable=1
						CheckBox tb0_cbdate, disable=1
						CheckBox tb0_cbtime, disable=1
						SetVariable tb0_title, disable=1
						Button tb0_calendar, disable=1
						Button tb0_clock, disable=1
					endif
					break					
				case "tb0_cbdate":
					if (cba.checked)
						Button tb0_calendar, picture=ProcGlobal#CalendarSnipOn
					else
						Button tb0_calendar, picture=ProcGlobal#CalendarSnipOff
					endif
					break
				case "tb0_cbtime":
					if (cba.checked)
						Button tb0_clock, picture=ProcGlobal#ClockOn
					else
						Button tb0_clock, picture=ProcGlobal#ClockOff
					endif
					break
				case "tb0_cbpretty":
					if (cba.checked)
						Button tb0_pretty picture=ProcGlobal#prettyon,disable=2
					else
						Button tb0_pretty picture=ProcGlobal#prettyoff,disable=2
					endif
					break
				case "tb0_cbtitle":
					SetVariable tb0_title, disable=!cba.checked
					break
			endswitch
			break
	endswitch

	return 0
End

// PICTURES

// PNG: width= 125, height= 39
Static Picture OpenFileButton
	ASCII85Begin
	M,6r;%14!\!!!!.8Ou6I!!!"A!!!!E#R18/!4UO%mJm4e"EQn$<!Wa8#^cngL]@DT$#iF<ErZ1Lf)P
	d[f)\2dRs4o5!#]lI=EIJ[Aor6*Eb,5pGBYZRDJO<'@;od1DfTK[mQ;Bf!"n'Z6pXdsSF)ekYU+F7a
	$8bb])1@=Dja=3"pX),2BXf7J12.BRp])1;kQFp6rPF9>&)$ppn(P_+dCCP@naEI;DEbOVFl`B,,Sf
	T,=@&d`M01b#$I\An7FH1>OL(u^Yd-Th0n1/Dr)H$)aNPHS=6%`]q9M_IEqY[oD>r^fWi=RN^Q93<R
	*\p4SJ-pF.IAiUN:=TWfB+&@R'rK1D,b970bWLFYUZu#f1k[LCi0OFqC%p[r:.ahYV$UI63,/2m^Bd
	$XZ31kb<uk!%u"\i`B;"bR?9PKY[Q\hiF2aSD1!BYBJ3n=4KlBD#d=!,_R;?]'T@sU&M=0-n%UB,D>
	V3<OEBiM256`^51!d&1.CIF6SuB>ImZGoqW5Y'a=9eHg_+d5s:gXbYV;+#`-Q*<F)f.-],n_&SV:V&
	61lnRgS7cPBf5/2V:7o^C@UUf?QkdX1Zsb4lDEX&42bdFGW?jlC<3H6H1b&!7]]TfiM(46--+?UlmG
	ER5D6-,-o54>*M&UMijt,K2MUu4l>;C-kHe@:dGX\"G\,Z8t]bZ7@9.1k.N^H!4l/UR0t0s!AWNpk2
	t/R-R-EI&:K,i&6(Gqa?X_NTckW)&4-aAJ8/]>Jnem#$[D:<i:5q9(92_6LuLgB)WAW.U8[9B:eQnP
	P/;R,R<?cU5maIkdVcN!C#K"W4c0[0=!o1EK]"8$Xd:>"SHmYC"AeH,17s\aN$8r=$R"BG&\Ej$'4M
	akCQ+IU"BK&p)+@.o6O9&^A7f^md1Cp%HG'J8jRF>p:gYh%Gq:_P9*dhN#B?t!"EiS"_#d'pA3Qbqo
	]R&RH:=17mo*<u(sY,SQdCUn1gQ#Oe08l=Oi.Vi[Z22:-FFmG'D@J7GtC:"g!n?XCY)kiI,E6TqmO7
	g4'/&&2653V,N!//9s9N_8-iW9W&>0$m3Qlb2,E0=1>f!rpZU[Tg0'oJDq"H/49\KF,YCV&0ufDs`r
	-%B.&Gmk6lI55*il#*J8/\jW_u?N+m(l=2lc55g;Vm[mq2=Nh=GeOFZWZqI2/eeUYBXj$pZsZH#PUN
	n_\9G[RY7Ge)VkLlP/B[)f0op3;<*[b#c?#1ESj]PJ$5:G9,/G6O5[7(@56Bl3o4CCVpDh!bMTO$:6
	01+X[d<rM!*.c]NoFVLdAioL#+bqO!Q/XS,I<&W.')PbS7*,/YC.AEUJergUFjO]shke]I10k8@X_S
	@@5n2tQPI505ZdY?@R<8pSgUHGei'E5Ucr%(<p_qn%77i@iQ&rA;:`[S;-\kMH;ZmC$e#]&0^mLL7D
	SnKClg=]ZL_bQ@mJJ5n]A:F&CT9!!nK^]t5CV&,Uu8<4l7dB_`)>*:4PMUkXJBi[@"<s@k]g$eU#?d
	JD3?U*2WDte[-l/=;CGhk3Cs8E4?=eXZ+ARMoSj^-/Oj]PZ*gGQIFGF&pL\DiCpq"r)rbsP8k2"Eeq
	1)qJaEs4r?_';u'QD)ksXc$?f8!f#qZ$I;u>*5Qpa0_S.7c[B'JnAP8B\P@bi=L)00Ps$IcZdG],FC
	,W,?afIfA3Tr6a#3l-"":HC[BlZKH./)icIBaptrCKWLYQRf0I7E9mp`AorH^9^2<=Kn(os:RWA)O>
	Ia(JgIAmuk)DC6Q3"4ELe#Q`\gVE[3Ln;*d3dEs%IMW'4DAVj77nI[R^&#DT[)T*7j`)abgNq63dug
	dDj,l=Kb]8uI+:+A@W3.<XTn^B35c,e-h,u0mq(tE3Eg.><EF%rl]6IB`Qg/Xq"9]_Hbm.h6aqGQg%
	.FUiJ77."*`[nA)i:MmV+nqiXe=jUkN9SQdSCfQA]9=!"f9iMF1)L!l8pRk"1.P$6GH6aRKna"F?B\
	[?O]/V\N)Jeg)C>.D&<["Q;N7AWoE>]teMM^2D>@%c)1&Z@DJ$IeQ2l\Dpd]i](qq"S]>H>]Fj&$.R
	t>CIqQt7W\Os!0F9GKC8`Zl29V'E*L)fi8"(anU>*IZTL2<*5B18*GI%C3CfMr\`VHunUL2U+6Cp,/
	fe*:iO3L#A\b*,,t$mjdQo`XUa/'W_ZrV)0`noI,ecpQ4X/Lu8VWC<&dY3GdNc5A.4ciCKjTjfTbch
	hiK1]3Vrj%G9/:cRc1PuZ+C9IW^&=#@q8j]lS\'R2HF)t+h8>_jY9cnA`!NQQah)FBM<7=br"1PCo<
	K1>f?!<&dp)eUoI%F*n,sCD0BLfV^#Y5+9]XfrIjL_4jR^%I\h+"L>A9"VII(ta*piIbRs2,Se$^Qp
	[hR5g%9H1k=V*\F3@YnAqPa*b/NqWXE2KRH!,BEZBt,4@AL%t#GS%ba5RAPS,_0!^[ft05?<[#MNsN
	KjF,6%:o%,#%G.W^rQE],Ucb#@d54T5skM9>HJ>R$afr`/_2t(A5VJRPH]9,5+n0!bnqrW+F%lsI`p
	O^$uBS3ZX%e42m4S5]'ptkao_)nfK,H\>,F,kkX]A2t2#PmLDs-\#1f"I_c_`F'`iE!UB"G?h&a(^:
	>*7[=-&/%;X:CRqM=@OOXBSDu+4?X*k66q/U,iV?O,123K*DRVM'cj;SO#l"$XE]iIJA">II__iPh?
	R6=XTKR(:W`FYB2@W9pHQJo=)B0V;d:#Vn6h#U^9Ef>]^lWa:9GW%W?\ZTo**4L,Hl8$Jc6AURHf%B
	m.4$B\P(4Zh4=`HCtBBH3CG(Z]`%_Tn\PgBq39.I-MbWqkLY=N4AeuW'gqKs"[YEB>*TNH%&Z+Jk/8
	mM&VZB%`PQ.*Ypr@JjVgf`P6l(\Te48iPLMI(\d""LM:;u,S3d%6,9pA4I[=5)i>2MugMJ=Z:I1SON
	p"V]4i-;65*r[(%^Km%5$Sd&N]V0/O=sr8!B-R_GpItJ,DP(eEp.V24l/33LSl3g)NBS0Lsm"<\E2_
	ZnW!j'^m[-EI-3SPo'qpiiN/#CQ[R0,qPRn\K@4&$j=_>]9#;8L#Sg4:6`)936<&5J9-QJ-9FOcA.2
	)JCJ0k^GB.Os64<C74[7I$Fa@/'g"C2RZl_2-u(;G[Cq?P3;]=ct2LSf<2a$7t=4G1.Dg?gC,?-+2V
	p]50^:@KpoH&OsPq$h/sY[p6KF/8:E/;M,[aq:RMSpt2S^;q_.2Ha/"=kE#[-&7&a>b:s-&%qV<D#;
	6lq8Du&E(+[mCL94c3J)tO[gp6NY1;1'"UH05*/Xf&TH*cNV+5;=?:>koLK"_;87S+Rl$ESL&a:cKd
	3N5L(sT!NiY%bNW4Fb40,m2Zi$F<7YD!r+FV`VHl5)PO78AuiObGZ/^1J06*jXPMO8+df^6LX+og\q
	$qd4;2n"CKND7#hu$g9[n&+T"M&!05p7Cqn"`n,&RRFjp=mWH<D5^2Fl0!!IO4S.fmR!nshr,Us@.k
	YOjFdp^X<<iSX:k=MEbR_>t-qTFYW4YjK:j"aWLc)'/7TMJM.8Ep+7$BIe0p8J,jC2(.,!'Dp&%;Rp
	]l>L:CC*1[9Hg%e\L5-f5<adCm3PH-gIaSJ'!8RF".f^O]t)0o\r%kRg<&^2O*Gj2[uS.t3SK0&174
	Qifr+h7oW1i/b3<,]rrm"b-`^g`bYeq#*bO^-RlPKcNh\)0bTQ_5AqX.^r;$-rL4oUCaq>sb=b\?!=
	otd_U8SqZJePuZ8.[ON#W@G$,`s#nMHW!+TGesgW3u@/K6agVdt0lBOMfj)cTV5FZo7q!Rng$O2Z3]
	#CBB:EqtSEPh#>)dmC&7<jJb=R"Q'GlokUu<h]:\,):0UtrGV7UIq13<Wa&XkW']aJAQl2Sq/n2)J\
	_Ub`L<XG]i=Af'gs::Mhn3$?jtM(<)YVgU7*2;JLL-K^'&=uWm.aVc"U@g5Jnt_Xa868i4b?@QHq`\
	OnD5MfjYgNr.]ecS&JEF`T[EeO79BJJ>gAW8&!44o5@tjW/J>ti2KVL[BLZKO3.oZfrBeA<D<TH$'q
	%<,f2B(UkLOXBaV"s\/J1&@,41;Ce'.b=;4=BFh`MCjS:?8eJ=\CLJ^>-"h5%h*rRjXkM:;T^#fp[D
	al\Sd<sIJd!l7Wh@&5O.*0!Ge*j*6R<[\q_8U\7q"HnL3WR\7i0N?SXE%YuF)<qk>5q<#*XWC/6S(O
	""Ytg(MRaL9"475eH0K?1/udafmSh3jANcLJcA1a(a@EI=Ss+Aqa>tbc-J#j!q+JfMSiV5n.5m^f.H
	oVKdZ$=E;]ON+T61t*Z6Fn-3;f(X"sMO>N^?0DPS1J=">drC)55R\'at7cR$BI9JgHd@J/",ccnV<t
	'oC'qaul.60"&n3n,6Y+eos,NK.iU_I[]rmHjVpl*pN.^cL0f@rWB6MdoVQt=H:US]pg.l2RM43Shk
	`_=3OD--'q]lh+!PbQ]Z0rLo<>J,)$fuTf%2!)/obVW+$Bj7M'%1RTL>WU>Fi\!fK<QO;K2H.02;pT
	IHUFLlR%p5_cr$()"*N.*2"MU*p6AZ_!q><!`_^Rip9BR-QAMb3\(odQY=1>Y`())b=":7_7\J>V``
	3]+)qsiR\Fb9io.&O.kIO(O]m+s-hX*?^"VbLc3]8E#HpP^QGdXf7HJVPNbT(UJBYap&li1:=C&"$2
	=]N>HC.B9!B/;(bEZP!>:IuBXnnITM:Mo>m'?r3n.K(k;iKiT74ON;&"9D&J;%rKguQb%?%]IoVAs^
	G0@IAT@#i%g9#9B+[2%>L.c6P\ui?/`'i"qm'`.;2Y:U4nWPTaJ,\a9oK!3_NDiA,r;j#V0488>W?f
	_uMu?..joofAV2&6-C'(Pl7H7sl[CcpWlG+\lJFtYt1p-gP&4mFmX*kIsK9U1QH=rOTFLti4m5DXaO
	$(bS0*au=<6t>2Qgi1R5=hu+&8Rk(l_M#=4S*qI-;Pq*]ejn:/0g4RmWnF\UhAQ&jJpJ3-J#p_b*X&
	ZT7&W,hKnM)U)jMke_h!uZ)EL7?8CHcTPU38)3-Qq!%RY[WC(Z.K?egUR?J)Zb+jL]Sh/&u\(aSP:G
	Xd_6bD0O-jiq=7\`8MeJ`6W5OJp*4o/=01N$Z2eJY.r)dX;l!K<"tES"K?!@*?V2uLc'XR/H6RB_5>
	H<.4%R;s%f9LR#lb6;sA,cJ,nH<"H+N$6gr1lK;F0qqMK?<sEVi9&_[0[$ThBFSXQe)BfT_fjtR!BY
	DeOL<h[$R&Ula4>"5/<8c%e1p,krHZC,].KRD?YX;_=pqd"RsDbY@q.?bc,"QDhOJY!o4bA/2T8\Q-
	RF<*95(,9%3DcRm!(4^GGqsX\e5@&*89`OR$jB$^juTrDr3`?E8Z7h]3PN?fkd,OSi(<7i4ULqU'8e
	uhm<gHXHqlJe0IVGQjR#R%jC]ZJesOn":?0B(Wi=q5PWl)YX.;7Z%4:RhDg!s\NMbU4HuN4qgCMr%P
	oms9M\I9Sm(d`rPCSX7Dp!2iQ^YuWNY+$r1sCIQXJ\=Mj5\opu1$_!V,%0,1?5BpOKEH&g3@RA8\+=
	'BVU"juZ=L<BKhQgYfac)G(hCKJL`V!BI.cP'+BBlhC9F;&!=!>YdcaWg\i:(o2mt``c_E8WmW;A$;
	i//i?LQQr/SLg*)+e<B]EV-\TiH<<n=_&4'`Umo9>tdT[1Ent&fFZ`ZfRCJsW7<B8MikBbBbo2)dHS
	7seuD<G.B7?NY*-rdbW2[8PV7l]Kf^chGIo,CP=Z.sd%h1OVX93%;d<K9*W6C=]Rk+%5a]_CN3K4Q(
	0`*N>!oiMW;X\VZK!&#Pp1ehW&`l@_3O,kBAU1iQFLEFgbn#&MN&_4.R@Du-NguTeB*kii%A_:du,(
	BqBKJ6'pX_Or;C??fFjB)CEg2iqjdlBp],c#-hAnK;"1T5'FBJeH'j5UBba2b*dDV]V*UX@0B3;1P#
	hcEGL%tYSY3=;d5<WE+"!(fUS7'8jaJc
	ASCII85End
End

// PNG: width= 65, height= 22
Picture Eraser
	ASCII85Begin
	M,6r;%14!\!!!!.8Ou6I!!!!]!!!!5#R18/!7:mT.0'>J"EQn$<!Wa8#^cngL]@DT$#iF<ErZ1Lf)P
	d[f)\2dRs4o5!#]lI=EIJ[Aor6*Eb,5pGBYZRDJO<'@;od1DfTK[mQ;Bf!!sc>6pXdSKrp`sD]Mmo`
	ddk@F(W_BnZdLO43iO*D*nUuco/RmEc:.f"<dmT]MSeE49,F3PTg-&$P-85%fdd&#'fB*V,ltf;l(X
	/De\4,Nfteblm,>BO6<#hB4fKH4<3PD99O>KdQEJ#Xf_%rhcaga28VB:q#@Lh!#pG<TU%@;(//U[V)
	_,9j.+$=MLmMNPXI$a9.;)n(ha"!JL4e)=)e"#0m:ht1"B`YGC["BV*kToctifg$0^=T@F=Uh3$>Pf
	3&++PUeJ`V2RenP79@U/>1,%qFmaPCK#Ah/499[K"eW2gM<QAcb6%#M4t5TC:\]q.LgU2XI8o'2gZG
	!XH?YXjHI"pal5\L6X7kun#)mOY'#VZ,PiHDGS@Quj9lhdQc13KZJY'[MG6b!K;YZi`cB2BHeYUigi
	J8l]EY*)VD#<RF*kT&,@(gcUNVFnNm@7\Da:-D-E#`@.c8f]Y0j2Z1rd^VY>J^0drKk`P!VZ\EQO#\
	9":e+sdqE;d>YH$'82tW:iUk)ImF2\nP'WI(h*C0^%$f(p^@6M!oNq9V49W;%9QQ2X[aoJ,,iY6,O-
	3Zh[odE#C!,.\,!Yu$+R<*OnD-q"bS]1t2T<sIB*cB^"X)-49V*E8c[.%:W:tJ]$fYD6"dbI]<`kR7
	DRPqCcsV76`Mp1(B.l<?VPB\J6Q0cYkUoG1m6Ka`$"og5_?qaRjh2G4e/7$`]u\J8-7BY1pjb('@h$
	io3-b?Fp"HO7mB918>0#^_6i?Oo-`O6##bFNHMVMB/Q4[Jk@J`3FEm^NB2_Sm8_\tl\2e\ePAG4LuN
	JSuo`^?4N"W(Q8Vp7Eh#X&H@M5LJC?9aXU[7h&PiZEY58T!QYcl0!U;qE^K@@HTXaa*Za96b:AIZF@
	*.DA_b`gAd1r\[n?>O'6G_td?Qm#g+Ol1%9H?!trd1IF2Be!ueuET0?k&'ke\[HTInUt7ulFVC_c;3
	23.GmnflFHo!OXgeC=`qCJ3kVL!6]<rPeAs`ZBH]7K8#N'&J+rYo_00]BV4J*o+4)6jbk=nF<H^;BL
	2p1ktT:Y*W+8h8[hE,teZ5L[Vn>AK5bdo[4(.DL7!R?g?L,>Ku0g8>pHAq"M.%Hd&X.<1N,qAmFj[-
	mbZ%cWRAlZO_:iAm+dDOH(RXqis1:h*OUX)(rDf6*LqlERXjOOj5A%:u&?7]I#pB^($i*/T/ZZ'[ZI
	L\U8>P`\mn?jV44?UqWWIU%*^;K`^h<;nfF3E9;$f/":b&c!#9OiI?R?8"nNf9'lSNsRqHm&eqL@<i
	0O\kEXP^9oCYrnhc4!ZA%-n/8uT;ECDp?c@7kAR<NC'7GpCQ7duZjaJ;r&[Tb[i<#'4#a>`>3%p:ON
	R0b'E<BB"2EVWGH$7Y&h*rU.?m^iPOmB&LR@@YDh%A"9:`ma-UURjcoaP7bigdU,=cF<3f0Dq6"DFe
	jsZ^m?(4`RZb3.QWgB[Y'Ie`"8mR!jof6cGiT._d*-gHLQ5,>A\T:eENKtJu$u[4M`,la.oo01mS\^
	3uNmF?Xh'[AB.sAu880JQTUk<k$&(CII_gML)5K&D+U&,RIN?N-sM9epNF8Q0cYq]cGe%(0W5"8^2"
	^+YepN0=Om%q=tMdirAern3r>Q?aT4NG&qG#0\*d8DVqm,7@enQ-doHU%?-8@q^E7J?(tl"-#7,L6e
	D3eVY:`aGq1prEa(mb#H0S+!3(Le-!Z4O9?@Cb8eQd$gN%3B^(La(4S%guN"VTp=fZ9%'_=TW\U(er
	;9d89Hd0YmBcKQX1h,;bYo]K^G^u[@A'OiS5IJY[R.:,g?f_A'FTPqZHfX6Yi*G@Zj3>0c@i2)Q+s-
	IC9:]Fmq7E1D.lDP:XnCX>:D1,Yi-V?Qf)k18RN][&bJbJuB6B<6Ej6)-?<IU/SCbp04P#r;M/hcs"
	^`0hF1@c4Pr[9^m@m^d'RJROF&-2Og'oZ*$[nPBYkYBkW$JXcG6gB[DPZBXQNaAM!l8=6UbG,)RT(3
	2Y5@/ZC@Q<"^4+'UC>gYLfJOQb6KJ.0Rlk*j]9GX&:+E<,b,(PZjO7K!fUIB.+;`e%bQQ`o8=b'Hrq
	PDkniTD-Ns`iJXFj+A61UqP@*U@;sCWN1V!NVI0:Re$BKY/LqLjs(PBi&N+/T`_`d<WRpGM$ABcFQW
	+;F#RG3'_SJON_%jKAFjaGPNG=_J[7XK%,0D4E+MdSr[+7dEY1X']WjQ10[qoL4oJecoq/aR8R$5_9
	6kA(5OZlVuSqkYdrC)]]hOASHE`aU"s'C`"nf"-KqIpEY8X`1\i3R=W3psTF/lo/^I8.!I63sse&QC
	4ol[9HP#Ohp%E:r>R4h]KZ?-%$m0*ot>O&?<.,RABq_U_nj`?N,#pMoief6D8t:55sh[s%.B2Jq0dR
	PejdK&FXS=t.G]Pq/edReN"(YO6_.p<#ZNV%R<!a,V/b$j/!@.]ZXS6qF^FJl4YF.BQmL=EKg3%?n5
	_8tjC=6p&@d$EmFGpH4+OR*:Y'#!]RV%k!'MFG?iAO4Kcrck,;(F"g11Fk?41X&i+M(*PPoNfF_T!S
	)4U<GR>N;D5nrBNd0*S+/k`#d*SZ:"3j<AS1@ZRUPcOBhG`QD#(s(LrK+^kCNN#F1inpFjaq7:L+Zo
	l"QTm0hFGMZOX?/qZXX*8>0._gf:2OX%K?jFIlM;QiqR7LOk*%9hQg-3-4:3;G2D>M(U_76^ejN9pq
	kP$9[tV9h9.U%nl;ri`!>6DT#50Nfm/^d*=_+XTL(o9\>!$'QKm:V,U^070Hiq:tej%0EfuZ4PqM;P
	t@.7!t]E<JF\do!<VT&iLFsA(IDAogFJalpbKRWgGY3OkO;2APK\/ZCV`W$/I(uJ'#t=/npGi:SVJk
	HZ8ckEg&Z8Y9h/?q<6\_J`FH#M0$hY!+\Pa-dNWP+jB55QhB=9]_Xm:)+iR>M=O8JBb@QIqFarpd3c
	ZcZZ-9t?8AHiMl$ieO(3j.GM><#/!!!!j78?7R6=>B
	ASCII85End
End

// PNG: width= 73, height= 27
Picture CalendarSnipOn
	ASCII85Begin
	M,6r;%14!\!!!!.8Ou6I!!!!e!!!!:#R18/!/L`5RfEEg"EQn$<!Wa8#^cngL]@DT$#iF<ErZ1Lf)P
	d[f)\2dRs4o5!#]lI=EIJ[Aor6*Eb,5pGBYZRDJO<'@;od1DfTK[mQ;Bf!"\ru6pXdSKoMIHN*PIi`
	dcn-bW0a:g"BMT0=KKblg*84)op_8%4!bVKUO/\X"'2Z:"6+6<@Lol[:uJ9C8E%Q<:(bu72;c$#Z/r
	/OFg`h%O'cQ?uBQcGk!AeGO<)fm`q>jSN1borF:3b?4s4XBsj^SAtJUCn)\iPpCU7:7==Ip)ig(;+T
	tXV+bW)d5o>=Z5lcG"&g7BD&>57S9)3tr`of'or/;I?$q#[Z$!%mt81@o/;VpsD`KjC7L1+O9JFEBW
	F5tTCPj%n#n\\gg5(4@m`36ibJcI62ieZ63X`]43?Sm3Rs8=;2CX6MWpcLH@.CBL9%)Z'GqG#W4k:u
	D4NesKd.#Lhn!MGJn3C5Wn`@q]odmPX=es[]eE#aXL2S7+?5nG<7Z);*,]%o!H=q.;BR7nt'D\r[^C
	Jq.]WlStXO\uf\&\d]YKY[1AUm/BlRi!(I!OcjOZEf'rRM^cF2Od,a74OQHPtE>gE#],+Z4\O<@@0$
	Xe*3O5:9l)Q6[[dheS<KH[3u^rBRh[=[]I&b'LgO;Fl%Q@?++\/^+.Q.'QNj5=b7c(a,V0bT#]!r$=
	Oc\(^<8;:oRDr[r*5Lc_"itI%2;b<^gnOH'q^6`UNA9'#chA-RU8jQckW:AUNC5e*3Ni@UW\r>-5g.
	kU9:BOjE44kOZHCIHo<2[VXX6a"q'O`@J.)_JQd<7M#]E]3QDs+d:#eq=8*cbpM2SDb"TF0hi>-o;L
	2S30&W*RZpDjPYtVLPrPblkn$8qWDna'MTBD9S3(qToB4F5L*>U;j5b5@%)]ld/.BG30FSkZ#-Co6g
	U7t=)oFL,>h?qO9siK)@EABE4G/9=Uf+0;_H3mF@=!6gJUmjMl#_NZPY*^-<iaV]1iQ`eZ*?$jel\6
	'n6!<Y`jT_R7RiQbC,?i6]QfRX`C4t<gmO[:QA(:>kffGN4T>-94S-cQF?5u2lOspFbfn9BL*=Tt*F
	iPf,"Z;%pJFO;2)U*Vqe3+RkOWqiQ^!bPgV!O^lTG1Aj*^@4#>)?)*'Sa0+gd"HIQ5Hb\:cEV@VTY8
	8u7-(1;SuX[V^*XkY[psjr#(s7Y3cX0u;hdLC&Q_A&jW"UEBGJ<JgLbO5i4p^/$AJ6V9p"Pp-J8FA,
	+"p[;a8EY?uHfs,#lbKJ(RSk$%fjG>7UT\XM7m<8=%f>!@7q_Xd:[+;<c^Rf&DaiMO/Q=VB"Mefh%.
	WNctpTV0;aPOUWalROo/M.P;!L&_24TG?NS2bL4+[db*T'&tQ<pAr9j4S(;ARo>)$PtFgPZgNRV,E.
	3n%=i/7uhQcmC+I5f&,B2jQ%S)]^Z2s:5<%k\L$2eXYlqQM+XV]b/t'f;Mh6HV'HWCj"0#$[<a\N$/
	,^jLPPZHJ,GZEVU+ben`R/L3OG"R?AOC?IcN:LGD0)(R=N<5i*,/p&3,]&'Tt-_GS2e-*.Rdtn++<e
	),f!9Y32OU,k<*(,,C"=2>e25[5bK%_k>Opof@kiFG4+AG_f$Wa4\T/Gjb@uC`"83oj!;<7"UMVQ*s
	DffhAUNPZ"H`IeBa+(`XO60FZ+c1=ofU*L06N:>9B,l5ZO+E*T!ThA3E0*f`29iV`8%XNq;oh7?<O+
	pJ8Wfeg,@XYm4]$cd7c<%9FN/MSq5!'n)"B$Hc%(g>rZ/ZpX3k)-Tm].ul9DXed7Ge*>SVe=>[Df>r
	0Kg$1oCY''Df3b5V]UTP3@2L()L+sTfe=&71kjRsf#^g5:?_h1VI-AiHG4@p8YD[Y3Fb]pb4[I)=I9
	ZD2"PL0(^tKs;faRQ8AXmY);Q5=oo#W8S%3%3e:8\DM+GoSlp*BZciH^0STJ*p.*TdP71q%n%s0UZ2
	EaAZhr-,\Cn"cM;8/^ACRl">"F?1FsL5&f4=C?Au(o:20q^rrYg)'On$dUPtl),XRCebM96AO%h'W5
	/:(sSBAcGg*fL]YcB_\<,Qk2qLEid-*r1sJ*5b=YB##_@oS5Fd-+[kgOo.P[ZQ),@:W%$rs@cZ3LR*
	8e=+98oc,P8-*hL5uq#>a_)%FZfp5##GgmnA#QhL5%BVPAE.8Bpr.iKu-5aZ)Lbo\>?K`_.n[h[**-
	.'6i\H]K#X$mki>ZKh\1/Ub&k[1".#1G-=UM%M%JX:@B>u-.o)[_8)l$C,;/Yc`J.)TWaaCI+7*/UL
	.E!ofR]f"Z@(HZ7W\F+K\5W#\f\$Sjtu:-_&A0R*B55j8$g&/1eu]ZnhCa.qEZh2Q'$s]5AQ<)4+nX
	plg[B3ICQhNn$m$c'I$dfF16"OYW'AT^+QG%1T!_bG)bds47IZXq%[9QdLA,CgTDeG(%Nh&uE;l.VQ
	0?g;krGpF-MOcm"G^*WZVWdpqj?Tck>6#&Dhn>rCO7@6gIf]M#JGCcc,/RrFiT\\99<r#f=h@sr*R-
	)41WGRYN2@*4"AZ]2OgUfqQ^l1?Hp!PH3<A/(;LQ#4K;[e=X8Znt-(U8Xpo\_^T;C[Eo/)/TQ^fALE
	LWD]N22XXS#8>R$?e_Y5?HX=-SMl/3+N+Lo0>C4-'N]!;Oq9WR,IdU4EPsu).&YBuS&^.P#KYu2E]Z
	?Qi?_`_/pTj,Mr1^U=9W(Hh`Qk87>]OJ%lI+!<0R,a)DS:`5`?APOFI6o[1KN0Q84VIHjp%\DQUquL
	*<!j76t&Wc=R9UMBp))b0N'@DF;iWnAR/K;\`D'*MtsjWf%r'"kLNkYq?Ck&pF<YUfoK.A=J&oPAQh
	cM0!i&soB+0HaC_cCMFF>*>V/65";$,.64boc1<7A%)=Gf=6DD#8joUfjlc<,M3!:X'hH>:<jZ<$Hb
	L@=EEB5-b,UU3cQG3]9'VU<gAAHT6-b22m_^9.)'afEhg^u%%ehQ!N6i%^Ta[GMJFqut\[%tFG8BT'
	tKj;#57F8rdC9sg#Nh/>S/j4eSUI)f8l$(6Mb;?&NoJNu2-'[`"Z`oigL,^370SkhMUO>fC+V<6VEf
	l1Apg)+.8`!"5V.A';c'[/cm>aQZLMeHuM#@g!qpoibc$/sQdn_\]4Teaj.bAfE[G.Jk7@7J\%1E)q
	ceeO\R+VQ>)%4=sF>FN42D9+"\paM:5<[5OT72[:jZ6hs)lVb%7pN`XLjCra=0[ZaD_/[7q:(sZdI&
	t.A;&nKhD]%LgUEcDf'VM$s6;8)St>0M/asG%f=p\e"X*q5,Qo;('N7"3\&3K0Q7r^i;VZZX'ATs-0
	2:?ejnc#_DU%dd:OS]AKamtW'2RP4!R&[0/1iG^(^@=QZb8777XtI^:a$6L7G`/Ke@RWQLkpGNRh'm
	uF;StR-!mahb-p;A[M1W_rQJPpjU],CMB>Z%l="J1M5#gBTj^>+&IF:ZU;N&nX2q:&"CW,Y#_D2_q7
	Z[?5]^Xn\f(#6ngXS9PCL`@_FFOmDuU#?>0JYD'0':Om5D;WZ\V*mGpKE`=4'@],t+I=;92Q"(Kmgs
	G];[`AD1U",Ga("iOS)B0$(BccgKlcq)`<$/Q/I&+,!0:=Bb&OUf]1rBJ_+Rb=$oB.jBpC1DO6Y[FT
	[5\685LmA'&`ciNUiB6g3B3kj#$J^W]uQ:"1NA>JFD!?qrWD*-Tp?d_R(Tp6r14@5_q,/LJ"b<.lX1
	>`qZMaC75'e6k6PN+1^o9OTd_*XH+(;EPtF\ld<i'F.]ncKei#1[H'ETG3'kf+Q[UeiJ@l8$i]"b(^
	g&`,EXkR.MkFKtdp/SfP"8,[WfG@mGmIIS@HjKG"E?[:`JL51O%*?F86l-o"U]mEbG#pYh:cgtd6ru
	hj)V@`NUdUP_Cq:=su@""qDNZpR*2^P5B(ksRm/20(Eaj-G=EF&=89I=i$a)-hJr6,+&c+bkN`JP@X
	GgsAYq>=D;gj1WaG<PBnr+AkN9^IV1Lg$q#q=Ec0E8U`m=s9ilB[H!cHA`K+"5u:Y*8AH%;t"3&T1U
	TR(\dnmqJsZ)0SKj>,,qe`45"M:;MeS#XZ-u4]VRrO]W_-Ood8N32&9CRdN[c'd0'=?kU2c]4&+Y8,
	`A+.gZ3CcA0&0\M2R_E>-172L(s5J[Y7_q1%nb![5:CeZcG>$k-oM]Rd13%n]Ol2N=&rX+`SJLfuE&
	A+JnGl19lTRN<V0p1HbX.e(@u^9N^5hD$Tn6c[:ef',fq]\j0Db;.b?RI6p;BmbBfDIIpAH*BKE%Bj
	"I\bZp'Sr:k9g3;"W,fAZSs38_L<Rlkf5GC.si(,3/_@2lo'^[T)J4Sn9:]_C90X-B`%[1:OSR$jB$
	aX<_ANDja>U(e,U437/7q^2&l2`(3W"U<I[9J)+&OO2?&V0M@3a#J2):a0cpL=+I\ibfm8A9`?d9I@
	[Fh7LdAdti*aVFYJoO:#s>ALaY\*X54T82"@eClJ8Z]8ojhPR&uDMi3KbVbp&@4?Q:K"RN\XHLf`GU
	^TqC4%55<\7+](n3dfAlPY!:^%ZR)IJ;^tI^4?T@E@6Z>ggI:kqnf%L-hTLSf=h&V0Wq9JXsEnEP,j
	@P_[$f7+t%T^%LH%?i+#91\=_"`PogQ*-//N;6<mP[;-RNBM:"\[UOmZ*SW"YqbRKm'IX9MPUNB\Y[
	IWf6@i1<Kp2q^0^8$J84k4(nXFI2R9VY2&fN&?68[Ce0tq-ZD5W@O,Uim`pW=]"Y179;8?`=(LQ]_N
	.B-@KgjSqQjKeSfb6:3hPtJT"ZOYB;6k^2=h3MOucHa]:!j,DnpCEqW%5Nr][9=l6+rZG1dc.'e*'A
	J-qsV9aiIk;9$A&9$ZIlX)+&Y^Y5I`a)HmB)GSqg4$dF$?AUNZ"&K*Mo6jVD>r;+.J8,+$Jml`IWoY
	;btLTJm)EO]q2M51OD5rr2mBMdi1)kqio6oMAG'n<%r9L*?HfmCSh398Uo>IX[lFM$[(Z<)W0OLdWq
	GmBtQ/kn(XQ>uk!,W7U@*4F&^H!keskVPg>3?'hOi.;!3G-\GCB.8ojFc*hJ*gJ5m@(7B$oVU]G/DR
	W38dl<?i5eGi\@A*mUj)d!"T"#b%,qbmZR@-IbMm6R>74H42g`.\;SkLKf3#Patg,,9N]%nubA7UAL
	]6BI^jUqQDHG*&b"RP$\5@O/$\!r1.NCJO`HhLj9An"^RJaWh[g2n?`I=7VG@kp53^8`I=hpuO"[VX
	W[-uY$%Mj-g[lLd3EZa9#OZR6nna)S'0D(])'^ogu'1n.3[\LdQ(5&kV5!NB%UnaZ-;3:_KijlL'Re
	LJ"E-T9#]pO/Z[h.D+bNpYT1o=s01IA-tYQ?<0-!!#SZ:.26O@"J
	ASCII85End
End

// PNG: width= 73, height= 27
Picture CalendarSnipOff
	ASCII85Begin
	M,6r;%14!\!!!!.8Ou6I!!!!e!!!!:#R18/!/L`5RfEEg"EQn$<!Wa8#^cngL]@DT$#iF<ErZ1Lf)P
	d[f)\2dRs4o5!#]lI=EIJ[Aor6*Eb,5pGBYZRDJO<'@;od1DfTK[mQ;Bf!"W($6pXdSKsd=uC`DP_a
	$9=4G<?p<;']^B(*cIQABV8.fp*9tScba1Q=\0i`,!t6.+SMi[\>:0!#pY.l[\sh$q"*(5`5Zd*t&V
	s/!du1Rr%W#/=tgDE3m&Lm*)a"W4(6r.O//k.?Q!@8+Q(rDgtT-Ocf_a#4)LAi8/h<n,(o35!Qe;PY
	t<I^DLAr!aliL@2NGj7Qdl=MVe^`:eDn-N7[u',?c2J81ESEXYiG$O)AZ(.F\;=fOjcL!*X.<KFf7&
	R*EsHQ!kM!Hq:X%1sQ&$QtSnR5Pi$<52,n]&`N[qYrAlDXGlAVH0Wm.178Q:AW]M/0MO>eW71!m8u:
	NAOYpqZomNGd%+/8-m<6$gq_h>E*61>N5pheP0l>\%,*\<)+Tu!7GV07'KFi5dSLnKaY)DIgfX?d(P
	.nZE(c0#6k]AlU3Lc9Q]ou@Rq`[8mY3WYU)@a"*/>chm9MA-u*tU$*fB^Z,cZAmN@?aZpWrQD<H53P
	>HhZqS#QiT/f*T>+bHar:;(*.2Z""$jY?tpgH9*t/aF\07)N@4=;Q1Af<4$7G@=_Z9a2#Ij^@1*-*i
	<XLWDofq.ZB@Hd;HGH[VZuJFS]M"QS)QQc^m9&6*Nd,63tl.4j2g%LXB;SC:38I3b0u`QC!qX?'i[T
	8PCQZM*uq<#e5<[2XP[WA26`+Im9fE`nCp?&C9sp>%?;F@2P/&Vcd80A8uT$V%b^A1U4>JNe:nG=I)
	C`>/bViRa!2>j5\e#NUQc7m:rc&<%8:d%V"0NNoQds@X36eEk0EfmG"m_42qcJ&DOXu/;odY("Use#
	_ITsnSp,'MQOrV9q'<RY3Ri"1_e-p\h6WK92mAUVPg>S;NaYKH:G18erLh5`X=H4JEM1`+UGuIq>#<
	mJ,ar(esnaALACZ@/Zp=pjMm/u.&AUlP>!<Un,"N0&45<d/f--Fi7P;E>ePH+Mab;Pg1s5.d9?.Tms
	Qk'9s&Q>pnaf5$ACh5IZ_/C\?=$>e#,3GiWSq#4eA:<TBEW6?6]^WcC?o4o?TZ$1$hrAKi3e%-A)j2
	gU>L5pKRo1DJkJgKa#'D/pm?\ASl8nhtP6)ZTS!;F#9@\]%nu755?J<n'c$ZOA`Ao`ss#I7VkebA^T
	aa@e\%,E]j!@6WC*dAnPaJVph`MY+h0?g9k_/o#`JQ4*PS#H2G<OYui9<bAm+68VW"U=^53"#_DIAE
	R<"mEZ@)["Q/r6I/%[Y_:`XjCY,_/iPGa\cf<BG6SY_TJo!?g^q]rAkE3sLW)fth?ElN6(l#m'qKaf
	$+RgXm^U(ihIs?S2mk=2$J%UBhT>HbCTW9b#:thhQZ:r/Y#rgg22nsW+JPmWs,hSLnhtkf?E4*?/=`
	aq$!)#r2T[@ES.P&\H0Vjq;15TRF1`DAK\IAt59%]O?f+tOYnf+bf3].Mi'T#5QnN<.mlYaNs9b[?@
	'2RCF1c.TEOW^:B1HmutThrO?X]&P0`5l,p+au_*;H"NcfB\e!`S(bj;FST[G9Mp,U$X/GG43G6P")
	34Vph>9.'U:o9!ML:0FW!4*-^1X#F6\+RS?iJ2d)G!D\%5GSk3rK/G#)%4'_U>kBq=I'Eaa)Jrl\"4
	389GeE_7/+M]Z>%)_ROgJ1/)EVoIs'FG#N%TpI@*hM'HL0rn(ZSu"@V7FrtQW#ihOm9`5h$5VjUf0h
	h#)>aI;Uk#Tg?gfsrV[SZ4nm`1USFSDNYA<d+TrTr$iJg6?f=`^#1B:5:%#qdiqbTZ`I/QYmIHP,a#
	Ia,dn0nAd'V@CXKOQr\(_<#%8j*((`j_f#SGrj#G7X=(]"'i8VU/4Z6I?!1Q8.l>kXMOD_<i/cLE8l
	:G<nIX9jST_"+T<crsp^(/i;Pj#H9O1N(53maVsRhD1*S^p#geaY&1JES4^X>\0$^gA`%&lj5F&6c\
	gR[:]6c#6[=XYujCXrqPOJQ:`HdaWuo,@,#iX8s;ZE\D0roPCqVe)(Oc_3Bj56EUGc`3V1'U0"D@;B
	']O,gW#JH6o%3OCEnM*<%?:5[i$/*`%VVJkqn5bJqT[=@3fPG>O9XoE8Sr:1=2ZPH<B?GGPsEuHA'%
	?qA4<e[kj/\$fqXF,=Edt[-uJqf8&BGIO:7M6o@^bF2C\G.Lf;/4QH.+*#RO"/$2n]6bYU1Pj:8p3.
	:ZDK;gsHICm;c0bZGh@FK*P.@!Mm[Va&FI<-\%=:3YnZh'1t9T;^hgPUA;:OZ[j;L-J4n)CGK0%nYQ
	QJitNU6'K12G,DjV%U1>NPWHI/UeT@!SUNJ2GB/"@D'+.^i`3bZ4o+4p^P1P]0t1e;&gW$@g,s_*4L
	d4&P.?--_J_'OZC:uOVA"W9P-e^/<5jnhS_&RMU!pQX:`a)$WQL/K;Ck].uP)W:<gar[<gCTV8PtOE
	#aXd@q47BP)1I)J+_.;Pi<2aI#bnZh>H?+?KKVY5@mXj:6_OLo_,o%'+Sk_SGr$r0"cJ$^.]WjA2:;
	1URK!,D(OG][VTjVAWE*QEcCo)mb`F7UU_PnSpZep3J!a-d>mA9i%.OX9i;judq?sVdc>J[(t1<9bR
	N@a082!)f`,9'S$1%bNr+%XLZ@.%II]Lm*h:-nfaKrpfXA\\GE[pIEoHqA*%+HEQ]#Dj63q\Z/2.'W
	U>/r2]lKMG1XcUTmp04pY[[p;47[Ji8<UWlp+p72@p<Pqg?hm$m/Y"0L9W;q_l=N7J,lt'r+PUPIT]
	uhQW$3NB25%m0K_\T]nH^p!h9#.gIu2!_3EHL<UA4j<HOIGou=30<tUf#5?`GmrRNY8M4dq2A;WBP&
	Kh.k9!F3:GWfjE3ZT<EHZ`2=0;8rA%A<ebeL"]Pa]Kuc6S^R6Me'C@cYJa8U$ZOmD>bK0$7!c%I"rB
	UO&Q&.1=.Q(]%q67:P]I&Cq([XQJ_!cChZ80H2-?R8NBoX*#m';FDT4tk&h.Dcg`rDqcutpi!35]20
	9D&PTgBb?4R_tdG@\J>(27.PK":<!mQiP7qd/h=UCBI=>6'j'h1/B4NFqFok0M-g]RX=#i^H^<(__i
	J3Y&=BTP%IBQlQSK,'XA&Y[%Eh0T\,cHaj75-NRfb&Xi*2a6ah7^F<Zs+g'l%2?5#2-*d[0hmj9[r1
	jW2)Z@=$)TI,VK0n)4PYsT#!,@rnDHGh>#T$uZgN)cZP2]NNfeVF!IjJF?c5m#[H\[\C,KnSZIq>AK
	qbJe93W*/3Snc5+UEH\U,rCJ5PeM$eHRm8F+/8'Y93`n]<c#Fj^7pG[W&0E.O_JfUX<I\AHh,YVk8E
	Q@%`;ZFO:rB7-K.;f7-KeG+HZtIYtL6TPH%2h'OeY^VqkfFm`#ljg!%5ZefP,-PQ9h7Tq!:81p7(<i
	]*=jj:`]7q#i2UmF+!\ADX8ir89a/`-V&EQ,W2^U>cQ>7I1F4i3:#6J<QDGY0-d`cYQBR1)@02!qYe
	#m0!S8IJ2-P$[8mQ[cl=LQ@N+Z8<,73_dmWY4/m7aC*TXbLnPq$<ft*<!TWmq`7IP`i2n7Ssl.<UVF
	Q.c7iZD;Qa*rcKV7;,aZW.!_Jlm;G7KooD@9kPEgh:*rbME+i7V[<VlRXY>Zp9fXZ&NQS2]XhnFMC1
	4e"QG$"J!1Z-$F790Y,iR<ku?^^n!7QWWYA=8l)-O>;`AlL5p()@[QR@0aTY;c(KHodbADTRh[GkUe
	PE3+'u#=4r3%tY;ifg-\:r<SfA4qBdP0ICPX^1t'uio20VgiF!<6j@A-=^POVo/mH!TF[65eL5W;mG
	m2cGHlkJ[R?G=RJf8=VP9f&+N#fK'%_7t-Bg/;&cFU$0N#<Kc">)o(7uO*aNm;?C9rMEk.\*Q4?.MO
	j_JG7hhhf[B!WAQf?M,m.c5k$TN\J;4j4t)r5%G]]N8BIc)WO2Abad9&bZa\E;%^o9\i"`j'/7:[2E
	0sV$Ou#0FXr2C6ZnQ??kE4epS&Vm,RV!8,;K.pc8LqUfhuB6Jfp2'-Ss,#Yg6Cf<=ei1XGR=9/"7&:
	F;8[72O5!C,O;.4j1g&(NG'CqZj"ok'^%r=,4Ocr`kmrDcEro^p4[qWu$k)IJ$U3H0-!I>e(L-I$FG
	)8l74-3I^lc(GB(tD=YZ&a8"eF:\'<*`6*uQMWT(5+j_[bQAH0)B:jU<(LMPEQI3">hB`/!J&(RC0^
	3\JR@+rhdLO.YeJ(SRTTTZ.Y>Ro%nM-0S_W^j_g9ljZ*d`in5#3#MZ,!E@X0HdQ+W)7A#2m:J"([r:
	=;EfXZt#frJGk\D+V=ENLlDoEO[gJOd75:<9CmtC?!U`qc\Zn09I@Z.!sap2n()>$1]'C&bHE[i++c
	b.0G0isesF,C-$$QO(>?-!XnE+.0FVGi//F/fbfh2`73]lg,/Np.^#X298.-%C9EAt>`ouV7I=6N#)
	@_?R8L/*V#)]ZP,2j%R4@hN(7L4(1k7gJ1AnGdmK,FbaJ@%L^]@#$R\362,_QmtbL#NjdZ</[Ki.DQ
	':8`Hp18#3n$3g"r!DF/#'*K43gtH`fZIpe<DV^1%Uf]0cUtnc-\8C!/QpQba.=e0`O)jmVdFboQ&k
	FI*D;3:Zc!_G%V#l$/5_oqBl%k*3)&_*A!'_`SNugHq`L7uech#4g1)r>sLg&%l.=X][[U9mY"U]rM
	]K_S,[V`bWm;K=V7+S6Ck3fkM#,#.*_tOlg0iqCV\:"*m9GL%67YL=-oB3A0$g>uo^@0Ne2Q><o]_U
	]ZZ1%@=Od+&Xe*V<]>.VQ@o(uW.Y"6o?X$sAJgqmRr^5nMAHG(B79;PN@LXKkC@S;R+mmgq)6;T;$n
	U3WfGr'W?;W4aehMNm/g=L#F2J<I/F2s:]m+]!&b4"l!fBXi]@P(&#r;-7N63ulL3jZ0!;>hSdGRu:
	k]'CsUK`[9uA85lEA,lS-eS8'a<@0%>E*X:/1g+*iNGFkb[r*o^3udYSF?6q7bMqN.bfib%qt=m8D(
	BEGRA41n(/n.1fX=MLdD5L)C:+u!@Ze(+[92S4=sDOGAYm9)j<Xa/L%<Ac?ss%2z8OZBBY!QNJ
	ASCII85End
End

// PNG: width= 108, height= 24
Picture clockon
	ASCII85Begin
	M,6r;%14!\!!!!.8Ou6I!!!"1!!!!7#R18/!85LmTE"rl"EQn$<!Wa8#^cngL]@DT$#iF<ErZ1Lf)P
	d[f)\2dRs4o5!#]lI=EIJ[Aor6*Eb,5pGBYZRDJO<'@;od1DfTK[mQ;Bf!"%UU6pXdcJaJlID]E=,`
	dbC>oj1tZG2!.071-;PE"p)cKSVriE8qXP"--VGjMm<,rr>>9!cEfe&4@9@b8c<X8E9k"M.Mq(n^;=
	Lia0d`e[<\RWGgc^fWj2Y8>CI5?!Z>dn++-7-\YtGnp^YDYd!VXWMuk`rnBQbDI3tN<0F&[a`P_bIt
	bq:S.Yr*^@1*-SiBtP'NA'Y#QeO>IdG)EI32UXl#\tu!^fsf'Lg^Jm,R(<"G,LjGolIQ*@+51AHPMe
	%`I=gSJ$@\j#Alb:$VC4\urBR^.pkaa"RoY9d:F3&W=U2RA30g+Ug_!SIY==SS#3bY3X`K9d5]BPtD
	XH`R$FN:",-pr;Ygi"9Fg"iA_=48d3DD3-OX*5nK^T3kDJ((rh,Z<.:'eU<KQ:X/rJ,dV?0D9p>DKH
	*1Jeb4jeCO/f3>Nl0#^$I*/rf6'+=EYX<P[V\sB<%&Ff!;-$[oAPHHo)AOT@p'S)U<mR1.$r,ag[-6
	K&-N#B(h-V`GOOCb?EYTs1.t85I/W`i>e+m/6m=pteRE*$Kgqhgn,!@LZ"Kqe@>H1#Gb2t,eeXk?EU
	DI;:7j_p1XA2$`5DeeD=bUP0-Eh!f<8OoH?pLa[Y9BJRatKY6la&tUt'3W.[>h1j#hSUJ4cZTX097[
	q=Ed3AJrrRnN;l?[5B9X-E,I0Uf&X>WRQJFjR7<nPfmX<eLHDDK%8COqYL'0kO\?<oO++7OsJH>F9&
	8klhJ1i179C/O$=84IH;sb!c^IdS`]S/e)YO0CtiQLI%9`sEM9Lk6it^+80eh48gR0[,b*%"M2VU(^
	s:48\ul^-a#S>0(qQm13"BTISjeefCtlsP>tUq+rVc]eo^kt\ePHs66mC%/q,(OESqlKSo_/",C:+m
	#*uE?W8Wp#pS"#mXZWXTe/Bqdj0FZ>c%7O-Ujh1h4?hn_JQ[AJpEU21-()@\,kO\?=oc_L6T',)05/
	-JqgGZNZhaZ'ODVi#tThqE0BF#J;XGf93-(CBnI.l6+XK8LbbN1^+lBI)sa)M+SrV,4Fi.DPR2OiL4
	F,0Yen'gNC6m:tfc@R13<%;n\l;`<.i<RNe18\c[lhW6JT'(+lqK78bnOIKS^<N31GHbp'gU>(BHh#
	b;.:F(ABJdflE\&amLg&g8^A'kV4MLUM$XS;XAWk.\[9=$W0MkaabH_9(_]U.1X]F-1ggk)3LfUSL(
	F+9uLMbcs/hZ_B7j!je-Md>d?SP7ga)Qd8GJh>,D1(5REcR=b3\@qf.-MjMJ,JgA:H\.MYJ:&tT'&t
	Q<e[k(e_,k9[+FdaL*=NF&QtEVa5_E9LFgW%@>Lq`,*fqAp02RJ*7$hG/?r:c78X>BJ6K'E-BfUBbo
	XGjNZ>g=YsB_#5uA>Dhr")Za)Q'(Qck^Ko@@,aO\VhEI@kaHNb)@0D/GEYjVSgOf[Cu?%?K8ugK9b1
	,*>.>1a1V9@oQH>IX[mAfi]q5\qD>#_A8$':ad"p)]L#a8F1&K4_mY$";D1H^AI=[-71'!J,[*:$HI
	-7(5mS2aX<TAH^7U.:8+\fLr`Jn7'kQ7OsEr)e6cgCK>@50MT$dGZa2dijHD_#giL9'%L[l=q>#;bq
	WT@[?G))slhJ2TWiD<,AW"GN@q0"8@LekV^@+uQQ^O>4UKXejk*p8r%[&(L"9DkYq'ComnFkUTM[YW
	Weu2kl\(`0laZ[u(\#,tMBeEZ#_"d[aZ7Lq-(uWDn)gqY\k=eTETdYe;f\5$tT'%ge2b1L9(;CjodJ
	lnhA9`?daiR+^pY[qk4,Y@U+sS<]R@B[UIX[ljXXt\8LP;HN`8bj_S2nL2bRC*+&HmZhLLjV9r:.g<
	Ze8XA.nLB>lg$)T0=.pgJZe>9g1&t-.i+$t2E&!:5:&n<F^8nA]ZJJas%GNr#Q>`$6UO5NY0/?!][E
	&g,"RlMVJ/0mr:@keEEq*!&@+2R369's(I_76EOg&I!WYkd9B'75e.l9@8Yo>Wp\0S8-T^kJ:I!s3G
	M_<&R57/E,)8lf:5V_l\/tYjO$,9fQ=YI$Vq#PPhL"_]eQ6,:Goj(gMf6?*L,[t66PqC9-jTn>of<H
	g$YYtU3jljlOsG-TVpT0smFjEM?+NG#;@sDLI/,P$^%NA%U0ngmi8OPs91qq1[S8B@'7nV,U";,\8u
	9Ci.p$uih08C;+4kYgf[q==c\n518U(dL1n.2HK`]!WA"'9VY.])HCG"!l\U4(R(_gOaApo)u:8``A
	C"-lT)NBK-MXBeJmbPKF]A<JXJ:BSTgKCA^[hm5nGj2&kW7>XmY"PHbi7tkaXKShVC:2^Ifb$?4Q^=
	,0S&;[Odcn,@rH*[&15Y$N`*tGrSieIaP3(e:NZUJ\Ze;/%BOKT'OLE]i<IXc*(L5Q<SPDD4/bYI5F
	?7[re.b\Aob=B)MF+#Pk2n#>e'k7qb(Bp0R$a86e*1i;eh(KGAiP),,c+BF8WnnK@Nrc%j-Zd$%Ls!
	>ieoII!HiC%Od21HAnGXW?XLir?!=?G[VaLXF?"aI3!06b[+fF%#7"++[;-h`WcI+;$.A&pR7r?EZ,
	kqa,-%Xu0JL;rg)AX\Q;4?qDnl7jdn`3Q`5Der_o'!eMluAT+*VDoMRK'C6UM]F6*&P1>V7fn3f7X?
	'T5CTS2c(o.,;=P6`^uZ`?M(PUC7P>#SPs(MCcqaR`=RTW6fP9FZF[6*6D_(?.[2/1;mWVmbbcTV,C
	`KH^e3@`ouV7a^js51,eDC#6kC:/.5b8Bt)ikAsfHP@2N+472UbqDJiod(94Ai1,:'7F[$rE%Zf#_B
	P;&bch$Adl_Cqu(JW@LV,CE]7AnVN1ehGa(nFEWHp1=QPM%hX*Yo911$NeKOc^6a[^I"o*[[:KicuT
	6VQmhJ/aA41gE_tSo(frNHQ<9a9J]BVdkhBKOQl"DZ,SL,K5.fO@2SdR:CmZI@PJ&l#DGMdL!-(*@t
	]VamTQ_>VY"&o7O!tfe*.DH!PQ1[A25#2_a)iHa)[4QL*>r-RqAuu]A451aH;Ss'LfiX*7F(.4Ztq5
	?CO1%c/Z]_8\<fU>-1]+f.d[9cgthZg\AKY?XFnsA5^p`K/>ZNjHPE3'sM?n'htauk<^r8jE[7$Jj:
	/">4X_66P'A;L*<u4#K9!4K;2Qug@+FqlsLZbOSu,L*Y\jnH'DlCGWhP@*r*OG5]j`7-n't)Y3TA3J
	\0kQF`n;IN3;#a,]EKCNYMKrMCG5;dD-j3z8OZBBY!QNJ
	ASCII85End
End

// PNG: width= 108, height= 24
Picture clockoff
	ASCII85Begin
	M,6r;%14!\!!!!.8Ou6I!!!"1!!!!7#R18/!85LmTE"rl"EQn$<!Wa8#^cngL]@DT$#iF<ErZ1Lf)P
	d[f)\2dRs4o5!#]lI=EIJ[Aor6*Eb,5pGBYZRDJO<'@;od1DfTK[mQ;Bf!!tn^6pXdcJaJlMD]@4F`
	dd"dcSutq`+]j^c6l0qU/;)VM@*7\OMZ`0S$E.$@WB?gYs_-aq#^U3"R;!N6<+1X&ZASRKM`kM.P7G
	&8Qs/k*QP>MYs"\H1NOA_*)U^4P:!tE]&I#@Gg:U454?O5hP1?"rl%)+5S+&M78_;/23,cX)SeT2=4
	85PUEBgR6K#F-OiRW2<E2K:1kHi8;3YPoq0*Yi7A8K'54i+/1fRJ'm/)PT!/(mh+TUT[J&ZG0IiOmk
	a)PcNRku#mFBrNpCQ$Tf;.?dIR\g[T`R&c+Yn@]Q!OciDYLg$1$Vf+6G.Y]QEK\Eh\uqfB)S3(92@K
	T"mpfK9NoNs<<j=36M2;Oj+@+P$FBup@$mLhTU&8o'neGb+[9D\K]mI-@D:7Z*91qp*o?B4As8D\jW
	f#grCi4-"=VdUl4n>6$%nF+`V-:",Za0bLi8>`E/m[JS%mS"</6#WGd:fbn[n!@FOjSQH(kNmGZ7LJ
	)rHB0>#*DH04*U+3jiS=@>e*0`*iIP'Z+7D:Ze:RGFAPonJ,fIg]mf%R0'.,ADR[g+_?/tDR^'+Pao
	72O^.9djj2R&tN/s#a=BJQ0K&Ba(8Z1%2<%=SU)QTp>XK8LBqXeK$<TTW]Smd"o*(<`7HhT/1_o&ib
	/JLVs)N>dp;I)^gHDXc?;IOcn(W.pT'FFiYj)HCm-CC3hTte@7B![?WGmGR(WJsBB#Pt&Ub?#5X30"
	)+,*?8NDN<]7@;O\1C2/X*W@<EA_"W7NdmOI-4<CD*/sFCf%c`YB3*NF"L1/H\f>lt5,eC/=3"G,tT
	*N0?D*6.>>V:*W`!J2e%(08u80gMa*^;CaGS$N7#VqeVSPFt)l"LRDOJPh\JZ>_dDf=+^h_,<,I@k1
	0MQ3[>rR%s!\ZX-PqDuCjqCBb4bD_F?ET4nC<)o3Gi4:P$j062/N2C;?/hXH9ZU:M8^ieICECR"Z@V
	9>/0>@45c-8tgfdpd]S,j[m&I-POnhM;8oF[C#EVoHHf%8Mn*9UGHW=XZp]fj+.p03"@i<Lit$L)XN
	?.WYUN'njLNl-oBrlFcuf=?%i(:S2;_R=;tgHNtJqiVQp!R55?Cc9J]Rl=n3#uf:HIAo=]?bXb^r&g
	ij;Qn\`j0pT*aNada<i^%TDj/FXBt)iHWRF0>]%nth.k=l9F:$DQ=^52WPKD`BcCsS#J$Nt$Ms#B0c
	H_SFV,1/,htJE?T',)05&4qL9MS?'n_uu"c]d$3KTO$VT..G`O6(C"78`:7lbi<VR<km58j][e]unF
	;#gY^3XAg.Qmo-FA8L+qEe*/+M(*Nh"@So01FDrYK*QQ!9*'XAsA);V)9p3UD64!GaqIm9?PY*7-fd
	oKX6i6<#lgS#[f4d&[R&5_ClOl])T[@G;V55K@?+\*<n%=:I.'g<3MF+:A@Vfk^B.;ZGVZ]:NYukOF
	@=]etG_28hITaDV4HEC>`+P]j`qf5h3HO<kR\o%h*ic5</sigo$Umo`V,I2Bk[d'db2kD9IJ4a\;c>
	gQgiN%sn,"Xf/TLacFY7"5Lg_,++j`&?2WW95d3Hip+:-WUh'J]>;ls)Gj,H"Y4%3!PJq,Mhr"<"0H
	0_TAj>WcI[4I68W@;Z<mRbR8jidCHP0#!@oCGXO:Wq##qOGmp\U=4Y<'Xk1(CC>!&H)1L:UJmD,;o=
	:c#c"kaN+XnZa3Pq_?48M?+VH*&,-]'OO*+cjd0?,h;/%Q+nMoR<f=:scgq#*cf9;BFLpX\Zs#%FrU
	a#dW>(euiVU@e[TG)d\[b;:=?KE!m$fGd8;((r7OjZI)NDm]<>5VgF]hsSjMm/uP'PsZM*rOuZWTE:
	j-<\POm=";FC"(b\T>\u0e"0\9HG)jijIBEPD"T!R@g)V@!-Vb=;7F2lQd)L"pYB1']l#Pp%ddCoCg
	pWF8"s'=fTAg1HR[V&;!NNEZi3'YIDB.4.Qj'I../DIJ&kaMQ9g^o(q[UbMS$9q`^!/K:=f<U1kMJ!
	s;&6LnZ<]\k]$J?t!JpGMdh8C:,PgbU9$1_Q0lSMQ3\p@^1\DBQ\H_DR[gYn1_+Lm#a#U(6(e_<%<:
	op"-kNhKuQ+DJsHWbN5+\Rj/],8MWW+<%Jds6BFs?8L+p3pZWR4l#`BK[r6?Qe1#4gQ5\Ou*->JQbq
	E%*eS:AW[5C"9%`#=i*]'2mm<4s,(G8ObeaP\^mHnasHKc^_K`\AWMcQm4n,%@$a2Z+'q0X7<[Rhg0
	(l!$@%#I@Ra)QpS@a*-C8k$.mZ,*D<Vr[WPe*0DQgq.ckT7?hXf6'Z];@f&#^U'Ns.kD:':']6)WDk
	AFn])`A4F**#1<KCh3\rQJ(l#ldiZ^%gn,g>mZa[Ead*N=k6USoBA;(TM\T8#)1iZff]6E_L[^O2dF
	6=qc$;=2ii])r\ZTS'EPI0(]]%ntP',-b1fe[,bWNYdk]=#%8.[?`/X7=q_^CcGpR@0J::ae"\4cL#
	)Q'E)UIemae_k>h'UT,g(j5U@ONh2Z5-jh1D,BE<HV8E$&39bOR;Q7T5:HaE3WoWbs3Tg\`cZ'L/@a
	HrkZ*?#DR<Dl&$PtE,O2oXj?"V!o`Wh]#Kj(TJ]j>>nFS%hO*#+0BRLBW7d;1_gFWK5F3IU`\64!Gb
	q_8K]bHgVcTC)#_3AA_>EX0n@"*`[e-Vr`I*eT)tA25#Z9d?'"@TaJTD3N(PjOb]DbE5DnNdXNh9I@
	mCEg00BEk*0eC#XCZd:edAp[?;>'$AL)/k7+J3;/2O3h<._^E;A-R@B[5<E8&K3/1j<X]D8L&#[Ca_
	o)->oc8;UT&o:a-A:=VrVNs*/HBOn)Q%4XgGV>/0JG1G.[><n(A'Sfe*54q2R.*<f6,d#g*2m,a[pV
	!OW]k0?l6nWHJ2eF*lI;rC:-[I?C+'%3ZWkb$k*PPR\gM=_Z[uQ8.!+cl67K$Pe?O2r4d9g'V:EdI+
	dXA%RCY6(^@6Im#eU6Yh-^bdW8\qqBOcW&rA`V\2Z;os3LDb*W84r\+X_GhD^h1/-hsN!!!!j78?7R
	6=>B
	ASCII85End
End

// PNG: width= 104, height= 21
Picture prettyoff
	ASCII85Begin
	M,6r;%14!\!!!!.8Ou6I!!!"-!!!!4#R18/!.aEGB`J,5"EQn$<!Wa8#^cngL]@DT$#iF<ErZ1Lf)P
	d[f)\2dRs4o5!#]lI=EIJ[Aor6*Eb,5pGBYZRDJO<'@;od1DfTK[mQ;Bf!!H:n6pXdSL$dR<O'cH5#
	Op'-:-6GK64;8i@`;*M]H^+$[K.*O#qdJH&RsbBQp:^GrXi1I+9ZY]Fl<Oa$TBh8?^/i4[>h#Z/kTn
	O?YF;Mmt\l-#"r<dH[g\%`LQ#OGOrH0SF=#O4O:S4HuEPm)2X0'R)#E>gnTKi`!.4#m_%'&!"olpgT
	`jss4#HY2QX\nAtGS'Ie,LUp%WrIT'p@a@r0E6Ns<E?DGHKTi;7L4^Zj]e#X?/ILtJSfEMcMC&[;<H
	?l^"mZA88OB(pO<9WM\Dl%or.`WhB35Pcq0;7m_X+(,K5n$=&;&*$14NH_Y*mu!-]&_r;"E"cR(bX3
	CfQf35f)h5kf^+6e^TQ.'P*Va,VDX([1F*nEqfKRB6Nej0)(R`(db^?Onm4_;8e\Aa;#B2.:^5omph
	B25t4.fJ2HNX84RD2aY+2a*5(h\36Ih'N'XSGtUK+W)RT"5'r5qKr?*5Of*g+V4L=H!1f:@u>W_cYT
	>N(1aJbe2ScZV]cE)");<Qf_ckriUF^(`"rXSL$$i6k&+fC-+&eY>g(eg%;.@]7=1%eW'?"nfGeWCs
	L8<I001+OGIg4r&"q%ZMB3FWa./hQmZiW]=&6ri]+BHG'Im)r#8X?Rnt^)Ac/30*`\-k>5<E?ktPY\
	Afg8lI<k"4Lc+rQ1\Z)%r]V;AoV$@AIlCkKAkmR"?\'Nua)#)kR_KG7Li&Q*TqfjWG^%LNK.Dg5-i\
	N2qL8`(-Z__d/nD*jf7D-\iB!(2,$Y@.X!0sM:dcl!Ttbh1Gh;Gq["n(d7Zi(dpkp>*ILlB-nhiNPn
	-s,aI0eSLkB\2/LiG:O]f4#/eaNZb._][8YBDa.Nh8bYPaV]#%98b60\5a^`@G\ZllsbE_u[hsI6c+
	=ThUg0;q(CoCfeaV[%mS$eYG4!k^Y*ub03d)m>'1j]1u)e44KAAQ)C(KW0dlKEUUnXf>4ii=H,h?rV
	J&LSJgKXa/i8TaDl%`>D.-Vm!B8XbKR<[s''G8;qm@O[.>MEU_8.Mo?'RN"]+/?fU/'g45qp598]4l
	30X9k@`Fnk@E$0F-k>RQicSX9AtE_U>`U8:.l0-XaMBP!FhE^uRJ]LlWbZ!kLg+N_0uGP1`(EIB/Ep
	Alq24THher(iMSQf!nLPCCo[@tIWOSV_C?PL5O/Q*"(n:')Y4Ou;@9deGX79!9g5b13VXfc@9ql&kj
	7.<[/Z_i3@35EBg="(apc#2LIfQCr:=u;.i6`=`%Qr<90$VE`*)`<Z$H5)D*f.7<4aE#Z`h!sabk'q
	t,-r[ACoA?jnO#b?D9g@R]n*p8_p$/f;7rT'iRKV8@-59cVO6$gB(8Q0p`lf@XM^O-+BQIn4<H5T2R
	kV#5NYVsNZqq]f:2$"qd72^meX>m#Q>9Fk/EAW=2atR;LkES<D3<&z8OZBBY!QNJ
	ASCII85End
End

// PNG: width= 104, height= 21
Picture prettyon
	ASCII85Begin
	M,6r;%14!\!!!!.8Ou6I!!!"-!!!!4#R18/!.aEGB`J,5"EQn$<!Wa8#^cngL]@DT$#iF<ErZ1Lf)P
	d[f)\2dRs4o5!#]lI=EIJ[Aor6*Eb,5pGBYZRDJO<'@;od1DfTK[mQ;Bf!!FQ=6pXdSL$dPrW)cn4#
	OpW^:=lb?AR\e#+IYYpKGbP+Ag'VW--[,,@IlaI-5%#$&Z/E%1`/AT?ipuE)4<fXq'9\6:hHTt&qu`
	S2!c:W^@A%)]DK3p526<sDmT1AqnLDpcM@2681A8fd"_EOX`8es([f+.B^)VC55&a--(%nF1E#q]Xf
	M5.^Ti"nXVEb??qdno/J&L=,N:.g_k$R*kG9P4`MSI$.j>0tfIHXu,N;I7.XUie0`M<#?s?#]*>,'8
	^lO;=((j3E7S^m/'jHX5g5&iL&^qsKC43T4J)Y<=7uo!sk7GkUBD;en.VqUa#M.il*84p.?%CPM^!*
	L`?XA+^TZN)2-p35+Yc>,F^;H!Xqr;WT7)[l:=C&'Y%HFK5@TaS`<"aI-`a].c`ib1CfT"-8)COM=J
	j5q0o?)kk?H+Wf`9`5d+W+JRa-U1OYJ>o&kZdPs7RXH>_hs'96:B&^+<K-&6r1?4:;T8tY5s]KP)/=
	[lZ%+T_I^]c8O[PPDCjg,0suO[KbNNbH63Mm8kUZ:T\T#so(uuZ?GrVK[4K'9=8DnW@G>d&=^-V,fS
	W+"S5Q@9Jp.&(nmh&6r/+u<&,l$p>c_QRou;6h,sO^$QMH4`V9N#uHaHc16C^p#L=]o$rcfkM[.OkC
	qPVFgo.L%t./OI:MkNq#bq*/q@h<48DE36qEhFH:QL6"<'[iP*K0[#3E"GQa&e5!-;A(1J=%!J#cp+
	Ou,Q3,YH$k<`>=8nPchKjPU0iWR?L_b[#n_/Z7*NI_q4,f7\KC,]@V/%#D[*i3pP=XK,@[Ks;!Y3Aa
	7b<k:m8O%HoO,1(<[-&YR8iZ&b/Ua9`8V$nfT^iccT5)>5<h7\AE\3*fs125N6Z&;.8?TAk]\T*6jZ
	a?X_h2=3IN.5@hKE@V#tnDm4]r(TZKKE&sT2:4/(kWt&p!l!0%2EEc%LB:0j$d7*HO!X'Gs<$qB`V3
	F.lqEs<grcDD-;L6$?pd`Jk`Hoa!.BP&j"#6XND30rE87mLh_22ajUQj2e_Y)]<q04]l1nu6!+6-=g
	;L'^V!(Oo;*FQ%eK_BYdPh$TJ8U(]^CHJ43DNTSKZcp%B`.LVB\tid4Ls2qIR=@4#YK5MCC729j?0T
	7PGY_pE5ErooN,?@X=Jhi,^;/NY[BoB7^;]h8G??0jEH35j/GCt?X`@F>&t=.UR$T^ikMnUN,'VHJ9
	Pg#%Bp%.hL&@HZPs5P^akmoga/q,%eQ.,8iE],k#'US"`fqZL=o@LiZVSKmA@YWNU0e`,&!9),D3[]
	:N\GhIiS-gaJRdI/l8!Pt&cGU"]D&f&s+K9ehbmNoqVQYnPhG9X4/ou]^OH>=okSb.4bh\k!!!!j78
	?7R6=>B
	ASCII85End
End
